#include <kdialog.h>
#include <tdelocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './sq_imageconvert.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "sq_imageconvert.h"

#include <ntqvariant.h>
#include <knuminput.h>
#include <kprogress.h>
#include <ksquirrel-libs/fmt_defs.h>
#include <ksquirrel-libs/fmt_types.h>
#include <kstandarddirs.h>
#include <tqapplication.h>
#include <tqcheckbox.h>
#include <tqfileinfo.h>
#include <tqheader.h>
#include <ntqpushbutton.h>
#include <ntqframe.h>
#include <ntqwidgetstack.h>
#include <ntqwidget.h>
#include <ntqgroupbox.h>
#include <ntqheader.h>
#include <ntqlistview.h>
#include <ntqtextedit.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>
#include "sq_config.h"
#include "sq_errorstring.h"
#include "sq_iconloader.h"
#include "sq_imageeditoptions.h"
#include "sq_libraryhandler.h"
#include "sq_writeoption.h"
#include "./sq_imageconvert.ui.h"

/*
 *  Constructs a SQ_ImageConvert as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The qdialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal qdialog.
 */
SQ_ImageConvert::SQ_ImageConvert( TQWidget* parent, const char* name, bool modal, WFlags fl )
    : TQDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "SQ_ImageConvert" );
    setSizeGripEnabled( TRUE );
    SQ_ImageConvertLayout = new TQGridLayout( this, 1, 1, 11, 6, "SQ_ImageConvertLayout"); 

    layout1 = new TQHBoxLayout( 0, 0, 6, "layout1"); 
    spacer1 = new TQSpacerItem( 237, 20, TQSizePolicy::Expanding, TQSizePolicy::Minimum );
    layout1->addItem( spacer1 );

    pushConvert = new TQPushButton( this, "pushConvert" );
    pushConvert->setDefault( TRUE );
    layout1->addWidget( pushConvert );

    pushCancel = new TQPushButton( this, "pushCancel" );
    pushCancel->setAutoDefault( FALSE );
    layout1->addWidget( pushCancel );

    SQ_ImageConvertLayout->addLayout( layout1, 2, 0 );

    line8 = new TQFrame( this, "line8" );
    line8->setFrameShape( TQFrame::HLine );
    line8->setFrameShadow( TQFrame::Sunken );
    line8->setFrameShape( TQFrame::HLine );

    SQ_ImageConvertLayout->addWidget( line8, 1, 0 );

    widgetStack = new TQWidgetStack( this, "widgetStack" );

    WStackPage = new TQWidget( widgetStack, "WStackPage" );
    WStackPageLayout = new TQGridLayout( WStackPage, 1, 1, 0, 6, "WStackPageLayout"); 

    groupBoxActions = new TQGroupBox( WStackPage, "groupBoxActions" );
    groupBoxActions->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)0, (TQSizePolicy::SizeType)5, 0, 0, groupBoxActions->sizePolicy().hasHeightForWidth() ) );
    groupBoxActions->setFrameShape( TQGroupBox::NoFrame );
    groupBoxActions->setColumnLayout(0, TQt::Vertical );
    groupBoxActions->layout()->setSpacing( 6 );
    groupBoxActions->layout()->setMargin( 0 );
    groupBoxActionsLayout = new TQGridLayout( groupBoxActions->layout() );
    groupBoxActionsLayout->setAlignment( TQt::AlignTop );

    pushOptions = new TQPushButton( groupBoxActions, "pushOptions" );
    pushOptions->setFlat( TRUE );

    groupBoxActionsLayout->addWidget( pushOptions, 0, 0 );
    spacer15 = new TQSpacerItem( 26, 155, TQSizePolicy::Minimum, TQSizePolicy::Expanding );
    groupBoxActionsLayout->addItem( spacer15, 2, 0 );

    pushWriteOptions = new TQPushButton( groupBoxActions, "pushWriteOptions" );
    pushWriteOptions->setToggleButton( TRUE );
    pushWriteOptions->setFlat( TRUE );

    groupBoxActionsLayout->addWidget( pushWriteOptions, 1, 0 );

    WStackPageLayout->addWidget( groupBoxActions, 0, 1 );

    tableLib = new TQListView( WStackPage, "tableLib" );
    tableLib->addColumn( tr2i18n( "col1" ) );
    tableLib->addColumn( tr2i18n( "col2" ) );
    tableLib->setAllColumnsShowFocus( TRUE );
    tableLib->setResizeMode( TQListView::LastColumn );

    WStackPageLayout->addWidget( tableLib, 0, 0 );
    widgetStack->addWidget( WStackPage, 0 );

    WStackPage_2 = new TQWidget( widgetStack, "WStackPage_2" );
    WStackPageLayout_2 = new TQGridLayout( WStackPage_2, 1, 1, 0, 6, "WStackPageLayout_2"); 

    textResult = new TQTextEdit( WStackPage_2, "textResult" );
    textResult->setWordWrap( TQTextEdit::NoWrap );
    textResult->setReadOnly( TRUE );
    textResult->setUndoRedoEnabled( FALSE );

    WStackPageLayout_2->addWidget( textResult, 0, 0 );

    progress = new KProgress( WStackPage_2, "progress" );

    WStackPageLayout_2->addWidget( progress, 1, 0 );
    widgetStack->addWidget( WStackPage_2, 1 );

    SQ_ImageConvertLayout->addWidget( widgetStack, 0, 0 );
    languageChange();
    resize( TQSize(436, 324).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( pushCancel, TQ_SIGNAL( clicked() ), this, TQ_SLOT( slotReject() ) );
    connect( pushOptions, TQ_SIGNAL( clicked() ), this, TQ_SLOT( slotOptions() ) );
    connect( pushWriteOptions, TQ_SIGNAL( toggled(bool) ), this, TQ_SLOT( slotShowExtWrapper(bool) ) );
    connect( pushConvert, TQ_SIGNAL( clicked() ), this, TQ_SLOT( slotStartConvert() ) );
    connect( tableLib, TQ_SIGNAL( currentChanged(TQListViewItem*) ), this, TQ_SLOT( slotCurrentLibraryChanged(TQListViewItem*) ) );

    // tab order
    setTabOrder( tableLib, pushOptions );
    setTabOrder( pushOptions, pushWriteOptions );
    setTabOrder( pushWriteOptions, pushConvert );
    setTabOrder( pushConvert, pushCancel );
    setTabOrder( pushCancel, textResult );
    init();
}

/*
 *  Destroys the object and frees any allocated resources
 */
SQ_ImageConvert::~SQ_ImageConvert()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void SQ_ImageConvert::languageChange()
{
    setCaption( tr2i18n( "SQ_ImageConvert" ) );
    pushConvert->setText( tr2i18n( "Convert" ) );
    pushCancel->setText( tr2i18n( "Close" ) );
    groupBoxActions->setTitle( TQString::null );
    pushOptions->setText( TQString::null );
    pushWriteOptions->setText( TQString::null );
    TQToolTip::add( pushWriteOptions, tr2i18n( "Conversion options" ) );
    tableLib->header()->setLabel( 0, tr2i18n( "col1" ) );
    tableLib->header()->setLabel( 1, tr2i18n( "col2" ) );
}

#include "sq_imageconvert.moc"
