#include <kdialog.h>
#include <tdelocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './sq_imageeditoptions.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "sq_imageeditoptions.h"

#include <ntqvariant.h>
#include <klineedit.h>
#include <kpushbutton.h>
#include <kurlrequester.h>
#include <ntqpushbutton.h>
#include <ntqbuttongroup.h>
#include <ntqradiobutton.h>
#include <ntqcheckbox.h>
#include <ntqframe.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>
#include "sq_config.h"
#include "sq_imageedit.h"
#include "./sq_imageeditoptions.ui.h"

/*
 *  Constructs a SQ_ImageEditOptions as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The qdialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal qdialog.
 */
SQ_ImageEditOptions::SQ_ImageEditOptions( TQWidget* parent, const char* name, bool modal, WFlags fl )
    : TQDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "SQ_ImageEditOptions" );
    setSizeGripEnabled( TRUE );
    SQ_ImageEditOptionsLayout = new TQGridLayout( this, 1, 1, 11, 6, "SQ_ImageEditOptionsLayout"); 

    buttonGroup1 = new TQButtonGroup( this, "buttonGroup1" );
    buttonGroup1->setColumnLayout(0, TQt::Vertical );
    buttonGroup1->layout()->setSpacing( 2 );
    buttonGroup1->layout()->setMargin( 9 );
    buttonGroup1Layout = new TQGridLayout( buttonGroup1->layout() );
    buttonGroup1Layout->setAlignment( TQt::AlignTop );

    radioPutHere = new TQRadioButton( buttonGroup1, "radioPutHere" );
    buttonGroup1->insert( radioPutHere, 3 );

    buttonGroup1Layout->addWidget( radioPutHere, 3, 0 );

    radioReplace = new TQRadioButton( buttonGroup1, "radioReplace" );
    buttonGroup1->insert( radioReplace, 2 );

    buttonGroup1Layout->addWidget( radioReplace, 2, 0 );

    kurl = new KURLRequester( buttonGroup1, "kurl" );
    kurl->setEnabled( FALSE );

    buttonGroup1Layout->addWidget( kurl, 4, 0 );

    radioCurrentDir = new TQRadioButton( buttonGroup1, "radioCurrentDir" );
    buttonGroup1->insert( radioCurrentDir, 1 );

    buttonGroup1Layout->addWidget( radioCurrentDir, 1, 0 );

    radioCurrentDir_2 = new TQRadioButton( buttonGroup1, "radioCurrentDir_2" );
    buttonGroup1->insert( radioCurrentDir_2, 0 );

    buttonGroup1Layout->addWidget( radioCurrentDir_2, 0, 0 );

    SQ_ImageEditOptionsLayout->addMultiCellWidget( buttonGroup1, 0, 0, 0, 2 );

    checkClose = new TQCheckBox( this, "checkClose" );

    SQ_ImageEditOptionsLayout->addMultiCellWidget( checkClose, 1, 1, 0, 2 );
    spacer3 = new TQSpacerItem( 16, 16, TQSizePolicy::Minimum, TQSizePolicy::Expanding );
    SQ_ImageEditOptionsLayout->addItem( spacer3, 2, 0 );

    pushOK = new TQPushButton( this, "pushOK" );
    pushOK->setDefault( TRUE );

    SQ_ImageEditOptionsLayout->addWidget( pushOK, 4, 1 );

    pushCancel = new TQPushButton( this, "pushCancel" );

    SQ_ImageEditOptionsLayout->addWidget( pushCancel, 4, 2 );
    spacer4 = new TQSpacerItem( 260, 16, TQSizePolicy::Expanding, TQSizePolicy::Minimum );
    SQ_ImageEditOptionsLayout->addItem( spacer4, 4, 0 );

    line1 = new TQFrame( this, "line1" );
    line1->setFrameShape( TQFrame::HLine );
    line1->setFrameShadow( TQFrame::Sunken );
    line1->setFrameShape( TQFrame::HLine );

    SQ_ImageEditOptionsLayout->addMultiCellWidget( line1, 3, 3, 0, 2 );
    languageChange();
    resize( TQSize(465, 266).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( pushOK, TQ_SIGNAL( clicked() ), this, TQ_SLOT( accept() ) );
    connect( pushCancel, TQ_SIGNAL( clicked() ), this, TQ_SLOT( reject() ) );
    connect( radioPutHere, TQ_SIGNAL( toggled(bool) ), kurl, TQ_SLOT( setEnabled(bool) ) );

    // tab order
    setTabOrder( radioCurrentDir_2, radioCurrentDir );
    setTabOrder( radioCurrentDir, radioReplace );
    setTabOrder( radioReplace, radioPutHere );
    setTabOrder( radioPutHere, kurl );
    setTabOrder( kurl, checkClose );
    setTabOrder( checkClose, pushOK );
    setTabOrder( pushOK, pushCancel );
    init();
}

/*
 *  Destroys the object and frees any allocated resources
 */
SQ_ImageEditOptions::~SQ_ImageEditOptions()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void SQ_ImageEditOptions::languageChange()
{
    setCaption( tr2i18n( "Edit options" ) );
    buttonGroup1->setTitle( tr2i18n( "New files" ) );
    radioPutHere->setText( tr2i18n( "Place here" ) );
    radioReplace->setText( tr2i18n( "Replace original files" ) );
    radioCurrentDir->setText( tr2i18n( "Place files in current directory, renaming them if necessary" ) );
    radioCurrentDir_2->setText( tr2i18n( "Place files in current directory, replacing existing files" ) );
    checkClose->setText( tr2i18n( "Close, when all operations succeeded" ) );
    pushOK->setText( tr2i18n( "OK" ) );
    pushCancel->setText( tr2i18n( "Cancel" ) );
}

#include "sq_imageeditoptions.moc"
