#include <kdialog.h>
#include <tdelocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './klc.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "klc.h"

#include <ntqvariant.h>
#include <kdirlister.h>
#include <tdeio/job.h>
#include <tqheader.h>
#include <tqtimer.h>
#include <tdeio/netaccess.h>
#include <tdeapplication.h>
#include <dcopclient.h>
#include <ntqpushbutton.h>
#include <ntqheader.h>
#include <ntqlistview.h>
#include <ntqlabel.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>
#include "./klc.ui.h"

/*
 *  Constructs a KLC as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
KLC::KLC( TQWidget* parent, const char* name, WFlags fl )
    : TQWidget( parent, name, fl )
{
    if ( !name )
	setName( "KLC" );
    KLCLayout = new TQGridLayout( this, 1, 1, 11, 6, "KLCLayout"); 

    layout1 = new TQHBoxLayout( 0, 0, 6, "layout1"); 
    spacer1 = new TQSpacerItem( 371, 26, TQSizePolicy::Expanding, TQSizePolicy::Minimum );
    layout1->addItem( spacer1 );

    pushApply = new TQPushButton( this, "pushApply" );
    layout1->addWidget( pushApply );

    pushClose = new TQPushButton( this, "pushClose" );
    layout1->addWidget( pushClose );

    KLCLayout->addMultiCellLayout( layout1, 2, 2, 0, 1 );

    listDisabled = new TQListView( this, "listDisabled" );
    listDisabled->addColumn( tr2i18n( "..." ) );
    listDisabled->setEnabled( FALSE );
    listDisabled->setAllColumnsShowFocus( TRUE );
    listDisabled->setResizeMode( TQListView::AllColumns );

    KLCLayout->addWidget( listDisabled, 1, 1 );

    textLabel1_2 = new TQLabel( this, "textLabel1_2" );

    KLCLayout->addWidget( textLabel1_2, 0, 1 );

    textLabel1 = new TQLabel( this, "textLabel1" );

    KLCLayout->addWidget( textLabel1, 0, 0 );

    listEnabled = new TQListView( this, "listEnabled" );
    listEnabled->addColumn( tr2i18n( "..." ) );
    listEnabled->setEnabled( FALSE );
    listEnabled->setAllColumnsShowFocus( TRUE );
    listEnabled->setResizeMode( TQListView::AllColumns );

    KLCLayout->addWidget( listEnabled, 1, 0 );
    languageChange();
    resize( TQSize(586, 425).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( pushApply, TQ_SIGNAL( clicked() ), this, TQ_SLOT( slotApply() ) );
    connect( pushClose, TQ_SIGNAL( clicked() ), this, TQ_SLOT( close() ) );

    // tab order
    setTabOrder( listEnabled, listDisabled );
    setTabOrder( listDisabled, pushApply );
    setTabOrder( pushApply, pushClose );
    init();
}

/*
 *  Destroys the object and frees any allocated resources
 */
KLC::~KLC()
{
    destroy();
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void KLC::languageChange()
{
    setCaption( tr2i18n( "Codec manager" ) );
    pushApply->setText( tr2i18n( "Apply" ) );
    pushClose->setText( tr2i18n( "Close" ) );
    listDisabled->header()->setLabel( 0, tr2i18n( "..." ) );
    textLabel1_2->setText( tr2i18n( "<b>Select codecs to enable:</b>" ) );
    textLabel1->setText( tr2i18n( "<b>Select codecs to disable:</b>" ) );
    listEnabled->header()->setLabel( 0, tr2i18n( "..." ) );
}

#include "klc.moc"
