#include <kdialog.h>
#include <tdelocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './sq_imagefilter.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "sq_imagefilter.h"

#include <ntqvariant.h>
#include <kcolorbutton.h>
#include <knuminput.h>
#include <sq_bcglabel.h>
#include <ntqpushbutton.h>
#include <ntqwidgetstack.h>
#include <ntqwidget.h>
#include <ntqlabel.h>
#include <ntqbuttongroup.h>
#include <ntqradiobutton.h>
#include <ntqcheckbox.h>
#include <ntqframe.h>
#include <ntqlistbox.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>
#include "fmt_filters.h"
#include "sq_config.h"
#include "sq_iconloader.h"
#include "sq_bcglabel.h"
#include "./sq_imagefilter.ui.h"

/*
 *  Constructs a SQ_ImageFilter as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The qdialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal qdialog.
 */
SQ_ImageFilter::SQ_ImageFilter( TQWidget* parent, const char* name, bool modal, WFlags fl )
    : TQDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "SQ_ImageFilter" );
    setSizeGripEnabled( TRUE );
    SQ_ImageFilterLayout = new TQGridLayout( this, 1, 1, 11, 6, "SQ_ImageFilterLayout"); 

    widgetStackFilters = new TQWidgetStack( this, "widgetStackFilters" );
    widgetStackFilters->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)3, (TQSizePolicy::SizeType)5, 0, 0, widgetStackFilters->sizePolicy().hasHeightForWidth() ) );
    widgetStackFilters->setFrameShape( TQWidgetStack::GroupBoxPanel );

    blendWidget = new TQWidget( widgetStackFilters, "blendWidget" );
    blendWidgetLayout = new TQGridLayout( blendWidget, 1, 1, 11, 6, "blendWidgetLayout"); 

    textLabel1 = new TQLabel( blendWidget, "textLabel1" );
    textLabel1->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)4, (TQSizePolicy::SizeType)5, 0, 0, textLabel1->sizePolicy().hasHeightForWidth() ) );

    blendWidgetLayout->addWidget( textLabel1, 0, 0 );

    pushBlendColor = new KColorButton( blendWidget, "pushBlendColor" );

    blendWidgetLayout->addWidget( pushBlendColor, 0, 1 );
    spacer17 = new TQSpacerItem( 16, 40, TQSizePolicy::Minimum, TQSizePolicy::Expanding );
    blendWidgetLayout->addItem( spacer17, 2, 1 );

    blendOpacity = new KDoubleNumInput( blendWidget, "blendOpacity" );

    blendWidgetLayout->addMultiCellWidget( blendOpacity, 1, 1, 0, 1 );
    widgetStackFilters->addWidget( blendWidget, 0 );

    WStackPage = new TQWidget( widgetStackFilters, "WStackPage" );
    WStackPageLayout = new TQGridLayout( WStackPage, 1, 1, 11, 6, "WStackPageLayout"); 
    spacer9_2 = new TQSpacerItem( 16, 20, TQSizePolicy::Minimum, TQSizePolicy::Expanding );
    WStackPageLayout->addItem( spacer9_2, 2, 0 );

    blurSigma = new KDoubleNumInput( WStackPage, "blurSigma" );

    WStackPageLayout->addWidget( blurSigma, 1, 0 );

    blurRadius = new KDoubleNumInput( WStackPage, "blurRadius" );

    WStackPageLayout->addWidget( blurRadius, 0, 0 );
    widgetStackFilters->addWidget( WStackPage, 1 );

    WStackPage_2 = new TQWidget( widgetStackFilters, "WStackPage_2" );
    WStackPageLayout_2 = new TQGridLayout( WStackPage_2, 1, 1, 11, 6, "WStackPageLayout_2"); 
    spacer10_2 = new TQSpacerItem( 16, 45, TQSizePolicy::Minimum, TQSizePolicy::Expanding );
    WStackPageLayout_2->addItem( spacer10_2, 1, 0 );

    desaturateValue = new KDoubleNumInput( WStackPage_2, "desaturateValue" );

    WStackPageLayout_2->addWidget( desaturateValue, 0, 0 );
    widgetStackFilters->addWidget( WStackPage_2, 2 );

    WStackPage_3 = new TQWidget( widgetStackFilters, "WStackPage_3" );
    WStackPageLayout_3 = new TQGridLayout( WStackPage_3, 1, 1, 11, 6, "WStackPageLayout_3"); 

    textLabel1_2 = new TQLabel( WStackPage_3, "textLabel1_2" );
    textLabel1_2->setFrameShape( TQLabel::GroupBoxPanel );
    textLabel1_2->setMargin( 4 );
    textLabel1_2->setAlignment( int( TQLabel::WordBreak | TQLabel::AlignVCenter ) );

    WStackPageLayout_3->addWidget( textLabel1_2, 0, 0 );
    spacer11 = new TQSpacerItem( 11, 26, TQSizePolicy::Minimum, TQSizePolicy::Expanding );
    WStackPageLayout_3->addItem( spacer11, 1, 0 );
    widgetStackFilters->addWidget( WStackPage_3, 3 );

    WStackPage_4 = new TQWidget( widgetStackFilters, "WStackPage_4" );
    WStackPageLayout_4 = new TQGridLayout( WStackPage_4, 1, 1, 11, 6, "WStackPageLayout_4"); 
    spacer12 = new TQSpacerItem( 16, 30, TQSizePolicy::Minimum, TQSizePolicy::Expanding );
    WStackPageLayout_4->addItem( spacer12, 1, 0 );

    edgeRadius = new KIntNumInput( WStackPage_4, "edgeRadius" );

    WStackPageLayout_4->addWidget( edgeRadius, 0, 0 );
    widgetStackFilters->addWidget( WStackPage_4, 4 );

    WStackPage_5 = new TQWidget( widgetStackFilters, "WStackPage_5" );
    WStackPageLayout_5 = new TQGridLayout( WStackPage_5, 1, 1, 11, 6, "WStackPageLayout_5"); 
    spacer13 = new TQSpacerItem( 16, 30, TQSizePolicy::Minimum, TQSizePolicy::Expanding );
    WStackPageLayout_5->addItem( spacer13, 2, 0 );

    embossSigma = new KDoubleNumInput( WStackPage_5, "embossSigma" );

    WStackPageLayout_5->addWidget( embossSigma, 1, 0 );

    embossRadius = new KDoubleNumInput( WStackPage_5, "embossRadius" );

    WStackPageLayout_5->addWidget( embossRadius, 0, 0 );
    widgetStackFilters->addWidget( WStackPage_5, 5 );

    WStackPage_6 = new TQWidget( widgetStackFilters, "WStackPage_6" );
    WStackPageLayout_6 = new TQGridLayout( WStackPage_6, 1, 1, 11, 6, "WStackPageLayout_6"); 

    textLabel1_2_2 = new TQLabel( WStackPage_6, "textLabel1_2_2" );
    textLabel1_2_2->setFrameShape( TQLabel::GroupBoxPanel );
    textLabel1_2_2->setMargin( 4 );
    textLabel1_2_2->setAlignment( int( TQLabel::WordBreak | TQLabel::AlignVCenter ) );

    WStackPageLayout_6->addWidget( textLabel1_2_2, 0, 0 );
    spacer11_2 = new TQSpacerItem( 11, 14, TQSizePolicy::Minimum, TQSizePolicy::Expanding );
    WStackPageLayout_6->addItem( spacer11_2, 1, 0 );
    widgetStackFilters->addWidget( WStackPage_6, 6 );

    WStackPage_7 = new TQWidget( widgetStackFilters, "WStackPage_7" );
    WStackPageLayout_7 = new TQGridLayout( WStackPage_7, 1, 1, 11, 6, "WStackPageLayout_7"); 

    fadeColor = new KColorButton( WStackPage_7, "fadeColor" );

    WStackPageLayout_7->addWidget( fadeColor, 0, 1 );
    spacer15 = new TQSpacerItem( 16, 10, TQSizePolicy::Minimum, TQSizePolicy::Expanding );
    WStackPageLayout_7->addItem( spacer15, 2, 1 );

    textLabel1_4 = new TQLabel( WStackPage_7, "textLabel1_4" );
    textLabel1_4->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)4, (TQSizePolicy::SizeType)5, 0, 0, textLabel1_4->sizePolicy().hasHeightForWidth() ) );

    WStackPageLayout_7->addWidget( textLabel1_4, 0, 0 );

    fadeValue = new KDoubleNumInput( WStackPage_7, "fadeValue" );

    WStackPageLayout_7->addMultiCellWidget( fadeValue, 1, 1, 0, 1 );
    widgetStackFilters->addWidget( WStackPage_7, 7 );

    WStackPage_8 = new TQWidget( widgetStackFilters, "WStackPage_8" );
    WStackPageLayout_8 = new TQGridLayout( WStackPage_8, 1, 1, 11, 6, "WStackPageLayout_8"); 

    flattenColor1 = new KColorButton( WStackPage_8, "flattenColor1" );

    WStackPageLayout_8->addWidget( flattenColor1, 0, 1 );
    spacer16 = new TQSpacerItem( 10, 11, TQSizePolicy::Minimum, TQSizePolicy::Expanding );
    WStackPageLayout_8->addItem( spacer16, 2, 1 );

    flattenColor2 = new KColorButton( WStackPage_8, "flattenColor2" );

    WStackPageLayout_8->addWidget( flattenColor2, 1, 1 );

    textLabel1_4_2 = new TQLabel( WStackPage_8, "textLabel1_4_2" );
    textLabel1_4_2->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)4, (TQSizePolicy::SizeType)5, 0, 0, textLabel1_4_2->sizePolicy().hasHeightForWidth() ) );

    WStackPageLayout_8->addWidget( textLabel1_4_2, 0, 0 );

    textLabel1_4_3 = new TQLabel( WStackPage_8, "textLabel1_4_3" );

    WStackPageLayout_8->addWidget( textLabel1_4_3, 1, 0 );
    widgetStackFilters->addWidget( WStackPage_8, 8 );

    WStackPage_9 = new TQWidget( widgetStackFilters, "WStackPage_9" );
    WStackPageLayout_9 = new TQGridLayout( WStackPage_9, 1, 1, 11, 6, "WStackPageLayout_9"); 
    spacer15_2 = new TQSpacerItem( 16, 25, TQSizePolicy::Minimum, TQSizePolicy::Expanding );
    WStackPageLayout_9->addItem( spacer15_2, 1, 0 );

    implodeFactor = new KDoubleNumInput( WStackPage_9, "implodeFactor" );

    WStackPageLayout_9->addWidget( implodeFactor, 0, 0 );
    widgetStackFilters->addWidget( WStackPage_9, 9 );

    WStackPage_10 = new TQWidget( widgetStackFilters, "WStackPage_10" );
    WStackPageLayout_10 = new TQGridLayout( WStackPage_10, 1, 1, 11, 6, "WStackPageLayout_10"); 
    spacer11_2_2 = new TQSpacerItem( 11, 14, TQSizePolicy::Minimum, TQSizePolicy::Expanding );
    WStackPageLayout_10->addItem( spacer11_2_2, 1, 0 );

    textLabel1_2_2_2 = new TQLabel( WStackPage_10, "textLabel1_2_2_2" );
    textLabel1_2_2_2->setFrameShape( TQLabel::GroupBoxPanel );
    textLabel1_2_2_2->setMargin( 4 );
    textLabel1_2_2_2->setAlignment( int( TQLabel::WordBreak | TQLabel::AlignVCenter ) );

    WStackPageLayout_10->addWidget( textLabel1_2_2_2, 0, 0 );
    widgetStackFilters->addWidget( WStackPage_10, 10 );

    WStackPage_11 = new TQWidget( widgetStackFilters, "WStackPage_11" );
    WStackPageLayout_11 = new TQGridLayout( WStackPage_11, 1, 1, 11, 6, "WStackPageLayout_11"); 

    buttonGroupNoise = new TQButtonGroup( WStackPage_11, "buttonGroupNoise" );
    buttonGroupNoise->setExclusive( TRUE );
    buttonGroupNoise->setColumnLayout(0, TQt::Vertical );
    buttonGroupNoise->layout()->setSpacing( 2 );
    buttonGroupNoise->layout()->setMargin( 9 );
    buttonGroupNoiseLayout = new TQGridLayout( buttonGroupNoise->layout() );
    buttonGroupNoiseLayout->setAlignment( TQt::AlignTop );

    radioButton1 = new TQRadioButton( buttonGroupNoise, "radioButton1" );

    buttonGroupNoiseLayout->addWidget( radioButton1, 0, 0 );

    radioButton1_4 = new TQRadioButton( buttonGroupNoise, "radioButton1_4" );
    buttonGroupNoise->insert( radioButton1_4, 3 );

    buttonGroupNoiseLayout->addWidget( radioButton1_4, 0, 1 );

    radioButton1_3 = new TQRadioButton( buttonGroupNoise, "radioButton1_3" );

    buttonGroupNoiseLayout->addWidget( radioButton1_3, 2, 0 );

    radioButton1_6 = new TQRadioButton( buttonGroupNoise, "radioButton1_6" );
    buttonGroupNoise->insert( radioButton1_6, 5 );

    buttonGroupNoiseLayout->addWidget( radioButton1_6, 2, 1 );

    radioButton1_2 = new TQRadioButton( buttonGroupNoise, "radioButton1_2" );
    buttonGroupNoise->insert( radioButton1_2, 1 );

    buttonGroupNoiseLayout->addWidget( radioButton1_2, 1, 0 );

    radioButton1_5 = new TQRadioButton( buttonGroupNoise, "radioButton1_5" );
    buttonGroupNoise->insert( radioButton1_5, 4 );

    buttonGroupNoiseLayout->addWidget( radioButton1_5, 1, 1 );

    WStackPageLayout_11->addWidget( buttonGroupNoise, 0, 0 );
    widgetStackFilters->addWidget( WStackPage_11, 11 );

    WStackPage_12 = new TQWidget( widgetStackFilters, "WStackPage_12" );
    WStackPageLayout_12 = new TQGridLayout( WStackPage_12, 1, 1, 11, 6, "WStackPageLayout_12"); 
    spacer15_2_2 = new TQSpacerItem( 16, 35, TQSizePolicy::Minimum, TQSizePolicy::Expanding );
    WStackPageLayout_12->addItem( spacer15_2_2, 1, 0 );

    oilRadius = new KIntNumInput( WStackPage_12, "oilRadius" );

    WStackPageLayout_12->addWidget( oilRadius, 0, 0 );
    widgetStackFilters->addWidget( WStackPage_12, 12 );

    WStackPage_13 = new TQWidget( widgetStackFilters, "WStackPage_13" );
    WStackPageLayout_13 = new TQGridLayout( WStackPage_13, 1, 1, 11, 6, "WStackPageLayout_13"); 

    shadeColor = new TQCheckBox( WStackPage_13, "shadeColor" );

    WStackPageLayout_13->addWidget( shadeColor, 0, 0 );
    spacer21 = new TQSpacerItem( 21, 10, TQSizePolicy::Minimum, TQSizePolicy::Expanding );
    WStackPageLayout_13->addItem( spacer21, 3, 0 );

    shadeElev = new KDoubleNumInput( WStackPage_13, "shadeElev" );

    WStackPageLayout_13->addWidget( shadeElev, 2, 0 );

    shadeAzim = new KDoubleNumInput( WStackPage_13, "shadeAzim" );

    WStackPageLayout_13->addWidget( shadeAzim, 1, 0 );
    widgetStackFilters->addWidget( WStackPage_13, 13 );

    WStackPage_14 = new TQWidget( widgetStackFilters, "WStackPage_14" );
    WStackPageLayout_14 = new TQGridLayout( WStackPage_14, 1, 1, 11, 6, "WStackPageLayout_14"); 
    spacer13_2 = new TQSpacerItem( 16, 10, TQSizePolicy::Minimum, TQSizePolicy::Expanding );
    WStackPageLayout_14->addItem( spacer13_2, 2, 0 );

    sharpenSigma = new KDoubleNumInput( WStackPage_14, "sharpenSigma" );

    WStackPageLayout_14->addWidget( sharpenSigma, 1, 0 );

    sharpenRadius = new KDoubleNumInput( WStackPage_14, "sharpenRadius" );

    WStackPageLayout_14->addWidget( sharpenRadius, 0, 0 );
    widgetStackFilters->addWidget( WStackPage_14, 14 );

    WStackPage_15 = new TQWidget( widgetStackFilters, "WStackPage_15" );
    WStackPageLayout_15 = new TQGridLayout( WStackPage_15, 1, 1, 11, 6, "WStackPageLayout_15"); 
    spacer13_2_2 = new TQSpacerItem( 20, 60, TQSizePolicy::Minimum, TQSizePolicy::Expanding );
    WStackPageLayout_15->addItem( spacer13_2_2, 1, 0 );

    solarizeValue = new KDoubleNumInput( WStackPage_15, "solarizeValue" );

    WStackPageLayout_15->addWidget( solarizeValue, 0, 0 );
    widgetStackFilters->addWidget( WStackPage_15, 15 );

    WStackPage_16 = new TQWidget( widgetStackFilters, "WStackPage_16" );
    WStackPageLayout_16 = new TQGridLayout( WStackPage_16, 1, 1, 11, 6, "WStackPageLayout_16"); 
    spacer24 = new TQSpacerItem( 16, 35, TQSizePolicy::Minimum, TQSizePolicy::Expanding );
    WStackPageLayout_16->addItem( spacer24, 1, 0 );

    spreadValue = new KIntNumInput( WStackPage_16, "spreadValue" );

    WStackPageLayout_16->addWidget( spreadValue, 0, 0 );
    widgetStackFilters->addWidget( WStackPage_16, 16 );

    WStackPage_17 = new TQWidget( widgetStackFilters, "WStackPage_17" );
    WStackPageLayout_17 = new TQGridLayout( WStackPage_17, 1, 1, 11, 6, "WStackPageLayout_17"); 

    buttonGroupSwapRGB = new TQButtonGroup( WStackPage_17, "buttonGroupSwapRGB" );
    buttonGroupSwapRGB->setColumnLayout(0, TQt::Vertical );
    buttonGroupSwapRGB->layout()->setSpacing( 2 );
    buttonGroupSwapRGB->layout()->setMargin( 9 );
    buttonGroupSwapRGBLayout = new TQGridLayout( buttonGroupSwapRGB->layout() );
    buttonGroupSwapRGBLayout->setAlignment( TQt::AlignTop );

    radioButton7 = new TQRadioButton( buttonGroupSwapRGB, "radioButton7" );

    buttonGroupSwapRGBLayout->addWidget( radioButton7, 0, 0 );

    radioButton8 = new TQRadioButton( buttonGroupSwapRGB, "radioButton8" );

    buttonGroupSwapRGBLayout->addWidget( radioButton8, 1, 0 );

    WStackPageLayout_17->addWidget( buttonGroupSwapRGB, 0, 0 );
    spacer25 = new TQSpacerItem( 11, 41, TQSizePolicy::Minimum, TQSizePolicy::Expanding );
    WStackPageLayout_17->addItem( spacer25, 1, 0 );
    widgetStackFilters->addWidget( WStackPage_17, 17 );

    WStackPage_18 = new TQWidget( widgetStackFilters, "WStackPage_18" );
    WStackPageLayout_18 = new TQGridLayout( WStackPage_18, 1, 1, 11, 6, "WStackPageLayout_18"); 
    spacer13_2_2_2 = new TQSpacerItem( 16, 25, TQSizePolicy::Minimum, TQSizePolicy::Expanding );
    WStackPageLayout_18->addItem( spacer13_2_2_2, 1, 0 );

    swirlAngle = new KDoubleNumInput( WStackPage_18, "swirlAngle" );

    WStackPageLayout_18->addWidget( swirlAngle, 0, 0 );
    widgetStackFilters->addWidget( WStackPage_18, 18 );

    WStackPage_19 = new TQWidget( widgetStackFilters, "WStackPage_19" );
    WStackPageLayout_19 = new TQGridLayout( WStackPage_19, 1, 1, 11, 6, "WStackPageLayout_19"); 
    spacer24_2 = new TQSpacerItem( 16, 75, TQSizePolicy::Minimum, TQSizePolicy::Expanding );
    WStackPageLayout_19->addItem( spacer24_2, 1, 0 );

    thresholdValue = new KIntNumInput( WStackPage_19, "thresholdValue" );

    WStackPageLayout_19->addWidget( thresholdValue, 0, 0 );
    widgetStackFilters->addWidget( WStackPage_19, 19 );

    WStackPage_20 = new TQWidget( widgetStackFilters, "WStackPage_20" );
    WStackPageLayout_20 = new TQGridLayout( WStackPage_20, 1, 1, 11, 6, "WStackPageLayout_20"); 

    textLabel1_2_2_2_2 = new TQLabel( WStackPage_20, "textLabel1_2_2_2_2" );
    textLabel1_2_2_2_2->setFrameShape( TQLabel::GroupBoxPanel );
    textLabel1_2_2_2_2->setMargin( 4 );
    textLabel1_2_2_2_2->setAlignment( int( TQLabel::WordBreak | TQLabel::AlignVCenter ) );

    WStackPageLayout_20->addWidget( textLabel1_2_2_2_2, 0, 0 );
    spacer11_2_2_2 = new TQSpacerItem( 11, 113, TQSizePolicy::Minimum, TQSizePolicy::Expanding );
    WStackPageLayout_20->addItem( spacer11_2_2_2, 1, 0 );
    widgetStackFilters->addWidget( WStackPage_20, 20 );

    WStackPage_21 = new TQWidget( widgetStackFilters, "WStackPage_21" );
    WStackPageLayout_21 = new TQGridLayout( WStackPage_21, 1, 1, 11, 6, "WStackPageLayout_21"); 

    thresholdRE = new KIntNumInput( WStackPage_21, "thresholdRE" );

    WStackPageLayout_21->addWidget( thresholdRE, 0, 0 );
    spacer26_2 = new TQSpacerItem( 16, 71, TQSizePolicy::Minimum, TQSizePolicy::Expanding );
    WStackPageLayout_21->addItem( spacer26_2, 1, 0 );
    widgetStackFilters->addWidget( WStackPage_21, 21 );

    SQ_ImageFilterLayout->addMultiCellWidget( widgetStackFilters, 0, 0, 1, 2 );
    spacer27 = new TQSpacerItem( 16, 16, TQSizePolicy::Minimum, TQSizePolicy::Expanding );
    SQ_ImageFilterLayout->addItem( spacer27, 1, 1 );

    layout2 = new TQHBoxLayout( 0, 0, 6, "layout2"); 
    spacer14 = new TQSpacerItem( 285, 16, TQSizePolicy::Expanding, TQSizePolicy::Minimum );
    layout2->addItem( spacer14 );

    pushFilter = new TQPushButton( this, "pushFilter" );
    pushFilter->setDefault( TRUE );
    layout2->addWidget( pushFilter );

    pushCancel = new TQPushButton( this, "pushCancel" );
    pushCancel->setAutoDefault( FALSE );
    layout2->addWidget( pushCancel );

    SQ_ImageFilterLayout->addMultiCellLayout( layout2, 5, 5, 0, 2 );

    line7 = new TQFrame( this, "line7" );
    line7->setFrameShape( TQFrame::HLine );
    line7->setFrameShadow( TQFrame::Sunken );
    line7->setFrameShape( TQFrame::HLine );

    SQ_ImageFilterLayout->addMultiCellWidget( line7, 4, 4, 0, 2 );

    listMain = new TQListBox( this, "listMain" );
    listMain->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)1, (TQSizePolicy::SizeType)7, 0, 0, listMain->sizePolicy().hasHeightForWidth() ) );
    listMain->setMinimumSize( TQSize( 140, 0 ) );

    SQ_ImageFilterLayout->addMultiCellWidget( listMain, 0, 3, 0, 0 );
    spacer26 = new TQSpacerItem( 16, 16, TQSizePolicy::Minimum, TQSizePolicy::Expanding );
    SQ_ImageFilterLayout->addItem( spacer26, 3, 2 );

    layout4 = new TQGridLayout( 0, 1, 1, 0, 6, "layout4"); 

    pixmap1 = new SQ_BCGLabel( this, "pixmap1" );
    pixmap1->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)0, (TQSizePolicy::SizeType)0, 0, 0, pixmap1->sizePolicy().hasHeightForWidth() ) );
    pixmap1->setMinimumSize( TQSize( 160, 160 ) );

    layout4->addWidget( pixmap1, 1, 3 );

    textLabel1_3 = new TQLabel( this, "textLabel1_3" );

    layout4->addWidget( textLabel1_3, 0, 1 );
    spacer27_2 = new TQSpacerItem( 1, 16, TQSizePolicy::Expanding, TQSizePolicy::Minimum );
    layout4->addItem( spacer27_2, 1, 0 );
    spacer28 = new TQSpacerItem( 1, 16, TQSizePolicy::Expanding, TQSizePolicy::Minimum );
    layout4->addItem( spacer28, 1, 2 );

    pixmap = new SQ_BCGLabel( this, "pixmap" );
    pixmap->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)0, (TQSizePolicy::SizeType)0, 0, 0, pixmap->sizePolicy().hasHeightForWidth() ) );
    pixmap->setMinimumSize( TQSize( 160, 160 ) );

    layout4->addWidget( pixmap, 1, 1 );
    spacer27_3 = new TQSpacerItem( 1, 16, TQSizePolicy::Expanding, TQSizePolicy::Minimum );
    layout4->addItem( spacer27_3, 1, 4 );

    textLabel2 = new TQLabel( this, "textLabel2" );

    layout4->addMultiCellWidget( textLabel2, 0, 0, 3, 4 );

    SQ_ImageFilterLayout->addMultiCellLayout( layout4, 2, 2, 1, 2 );
    languageChange();
    resize( TQSize(537, 421).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( pushCancel, TQ_SIGNAL( clicked() ), this, TQ_SLOT( reject() ) );
    connect( pushFilter, TQ_SIGNAL( clicked() ), this, TQ_SLOT( slotStartFiltering() ) );
    connect( listMain, TQ_SIGNAL( selectionChanged() ), this, TQ_SLOT( slotShowPage() ) );

    // tab order
    setTabOrder( pushFilter, pushCancel );
    init();
}

/*
 *  Destroys the object and frees any allocated resources
 */
SQ_ImageFilter::~SQ_ImageFilter()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void SQ_ImageFilter::languageChange()
{
    setCaption( tr2i18n( "Filter" ) );
    textLabel1->setText( tr2i18n( "Color:" ) );
    pushBlendColor->setText( TQString::null );
    blendOpacity->setLabel( tr2i18n( "Opacity" ) );
    blurSigma->setLabel( tr2i18n( "Sigma" ) );
    blurRadius->setLabel( tr2i18n( "Radius" ) );
    desaturateValue->setLabel( tr2i18n( "Factor" ) );
    textLabel1_2->setText( tr2i18n( "There are no special options available for this filter. Just click \"Filter\"." ) );
    edgeRadius->setLabel( tr2i18n( "Radius" ) );
    embossSigma->setLabel( tr2i18n( "Sigma" ) );
    embossRadius->setLabel( tr2i18n( "Radius" ) );
    textLabel1_2_2->setText( tr2i18n( "There are no special options available for this filter. Just click \"Filter\"." ) );
    fadeColor->setText( TQString::null );
    textLabel1_4->setText( tr2i18n( "Color:" ) );
    fadeValue->setLabel( tr2i18n( "Value" ) );
    flattenColor1->setText( TQString::null );
    flattenColor2->setText( TQString::null );
    textLabel1_4_2->setText( tr2i18n( "Color 1:" ) );
    textLabel1_4_3->setText( tr2i18n( "Color 2:" ) );
    implodeFactor->setLabel( tr2i18n( "Factor" ) );
    textLabel1_2_2_2->setText( tr2i18n( "There are no special options available for this filter. Just click \"Filter\"." ) );
    buttonGroupNoise->setTitle( tr2i18n( "Noise type" ) );
    radioButton1->setText( tr2i18n( "Uniform" ) );
    radioButton1_4->setText( tr2i18n( "Impulse" ) );
    radioButton1_3->setText( tr2i18n( "Multiplicative Gaussian" ) );
    radioButton1_6->setText( tr2i18n( "Poisson" ) );
    radioButton1_2->setText( tr2i18n( "Gaussian" ) );
    radioButton1_5->setText( tr2i18n( "Laplacian" ) );
    oilRadius->setLabel( tr2i18n( "Radius" ) );
    shadeColor->setText( tr2i18n( "Color" ) );
    shadeElev->setLabel( tr2i18n( "Elevation" ) );
    shadeAzim->setLabel( tr2i18n( "Azimuth" ) );
    sharpenSigma->setLabel( tr2i18n( "Sigma" ) );
    sharpenRadius->setLabel( tr2i18n( "Radius" ) );
    solarizeValue->setLabel( tr2i18n( "Factor" ) );
    spreadValue->setLabel( tr2i18n( "Amount" ) );
    buttonGroupSwapRGB->setTitle( tr2i18n( "Type" ) );
    radioButton7->setText( tr2i18n( "GBR" ) );
    radioButton8->setText( tr2i18n( "BRG" ) );
    swirlAngle->setLabel( tr2i18n( "Degrees" ) );
    thresholdValue->setLabel( tr2i18n( "Threshold" ) );
    textLabel1_2_2_2_2->setText( tr2i18n( "There are no special options available for this filter. Just click \"Filter\"." ) );
    thresholdRE->setLabel( tr2i18n( "Threshold" ) );
    pushFilter->setText( tr2i18n( "Filter" ) );
    pushCancel->setText( tr2i18n( "Close" ) );
    listMain->clear();
    listMain->insertItem( tr2i18n( "Blend" ) );
    listMain->insertItem( tr2i18n( "Blur" ) );
    listMain->insertItem( tr2i18n( "Desaturate" ) );
    listMain->insertItem( tr2i18n( "Despeckle" ) );
    listMain->insertItem( tr2i18n( "Edge" ) );
    listMain->insertItem( tr2i18n( "Emboss" ) );
    listMain->insertItem( tr2i18n( "Equalize" ) );
    listMain->insertItem( tr2i18n( "Fade" ) );
    listMain->insertItem( tr2i18n( "Flatten" ) );
    listMain->insertItem( tr2i18n( "Implode" ) );
    listMain->insertItem( tr2i18n( "Negative" ) );
    listMain->insertItem( tr2i18n( "Noise" ) );
    listMain->insertItem( tr2i18n( "Oil" ) );
    listMain->insertItem( tr2i18n( "Shade" ) );
    listMain->insertItem( tr2i18n( "Sharpen" ) );
    listMain->insertItem( tr2i18n( "Solarize" ) );
    listMain->insertItem( tr2i18n( "Spread" ) );
    listMain->insertItem( tr2i18n( "Swap colors" ) );
    listMain->insertItem( tr2i18n( "Swirl" ) );
    listMain->insertItem( tr2i18n( "Threshold" ) );
    listMain->insertItem( tr2i18n( "Grayscale" ) );
    listMain->insertItem( tr2i18n( "Redeye" ) );
    textLabel1_3->setText( tr2i18n( "Original image:" ) );
    textLabel2->setText( tr2i18n( "Image after filtering:" ) );
}

#include "sq_imagefilter.moc"
