#include <kdialog.h>
#include <tdelocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './sq_codecsettingsskeleton.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "sq_codecsettingsskeleton.h"

#include <ntqvariant.h>
#include <tqcheckbox.h>
#include <tqmessagebox.h>
#include <tqobjectlist.h>
#include <tqbuttongroup.h>
#include <tqslider.h>
#include <kurlrequester.h>
#include <knuminput.h>
#include <tqwidgetfactory.h>
#include <tqspinbox.h>
#include <tqtextedit.h>
#include <kurl.h>
#include <kcolorbutton.h>
#include <ntqlabel.h>
#include <ntqframe.h>
#include <ntqgroupbox.h>
#include <ntqpushbutton.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>
#include "./sq_codecsettingsskeleton.ui.h"

/*
 *  Constructs a SQ_CodecSettingsSkeleton as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The qdialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal qdialog.
 */
SQ_CodecSettingsSkeleton::SQ_CodecSettingsSkeleton( TQWidget* parent, const char* name, bool modal, WFlags fl )
    : TQDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "SQ_CodecSettingsSkeleton" );
    setSizeGripEnabled( TRUE );
    SQ_CodecSettingsSkeletonLayout = new TQGridLayout( this, 1, 1, 11, 6, "SQ_CodecSettingsSkeletonLayout"); 

    codecIcon = new TQLabel( this, "codecIcon" );
    codecIcon->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)0, (TQSizePolicy::SizeType)0, 0, 0, codecIcon->sizePolicy().hasHeightForWidth() ) );
    codecIcon->setMinimumSize( TQSize( 16, 16 ) );
    codecIcon->setFrameShape( TQLabel::NoFrame );
    codecIcon->setFrameShadow( TQLabel::Plain );

    SQ_CodecSettingsSkeletonLayout->addWidget( codecIcon, 0, 0 );

    line2 = new TQFrame( this, "line2" );
    line2->setFrameShape( TQFrame::HLine );
    line2->setFrameShadow( TQFrame::Sunken );
    line2->setFrameShape( TQFrame::HLine );

    SQ_CodecSettingsSkeletonLayout->addMultiCellWidget( line2, 1, 1, 0, 1 );

    codecName = new TQLabel( this, "codecName" );
    TQFont codecName_font(  codecName->font() );
    codecName_font.setBold( TRUE );
    codecName->setFont( codecName_font ); 

    SQ_CodecSettingsSkeletonLayout->addWidget( codecName, 0, 1 );

    groupBox = new TQGroupBox( this, "groupBox" );

    SQ_CodecSettingsSkeletonLayout->addMultiCellWidget( groupBox, 2, 2, 0, 1 );

    line1 = new TQFrame( this, "line1" );
    line1->setFrameShape( TQFrame::HLine );
    line1->setFrameShadow( TQFrame::Sunken );
    line1->setFrameShape( TQFrame::HLine );

    SQ_CodecSettingsSkeletonLayout->addMultiCellWidget( line1, 3, 3, 0, 1 );

    layout2 = new TQHBoxLayout( 0, 0, 6, "layout2"); 
    spacer2 = new TQSpacerItem( 16, 16, TQSizePolicy::Expanding, TQSizePolicy::Minimum );
    layout2->addItem( spacer2 );

    pushApply = new TQPushButton( this, "pushApply" );
    layout2->addWidget( pushApply );

    pushOK = new TQPushButton( this, "pushOK" );
    pushOK->setDefault( TRUE );
    layout2->addWidget( pushOK );

    pushCancel = new TQPushButton( this, "pushCancel" );
    layout2->addWidget( pushCancel );

    SQ_CodecSettingsSkeletonLayout->addMultiCellLayout( layout2, 4, 4, 0, 1 );
    languageChange();
    resize( TQSize(283, 335).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( pushOK, TQ_SIGNAL( clicked() ), this, TQ_SLOT( accept() ) );
    connect( pushCancel, TQ_SIGNAL( clicked() ), this, TQ_SLOT( reject() ) );
    connect( pushApply, TQ_SIGNAL( clicked() ), this, TQ_SLOT( slotApply() ) );

    // tab order
    setTabOrder( pushOK, pushApply );
    setTabOrder( pushApply, pushCancel );
    init();
}

/*
 *  Destroys the object and frees any allocated resources
 */
SQ_CodecSettingsSkeleton::~SQ_CodecSettingsSkeleton()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void SQ_CodecSettingsSkeleton::languageChange()
{
    setCaption( tr2i18n( "Codec settings" ) );
    codecIcon->setText( TQString::null );
    codecName->setText( TQString::null );
    groupBox->setTitle( TQString::null );
    pushApply->setText( tr2i18n( "Apply" ) );
    pushOK->setText( tr2i18n( "OK" ) );
    pushCancel->setText( tr2i18n( "Cancel" ) );
}

#include "sq_codecsettingsskeleton.moc"
