#include <kdialog.h>
#include <tdelocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './sq_externaltools.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "sq_externaltools.h"

#include <ntqvariant.h>
#include <kicondialog.h>
#include <tqwhatsthis.h>
#include <tdeglobal.h>
#include <kiconloader.h>
#include <ntqpushbutton.h>
#include <ntqframe.h>
#include <ntqheader.h>
#include <ntqlistview.h>
#include <ntqgroupbox.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>
#include "sq_externaltool.h"
#include "sq_config.h"
#include "sq_iconloader.h"
#include "./sq_externaltools.ui.h"

/*
 *  Constructs a SQ_ExternalTools as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The qdialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal qdialog.
 */
SQ_ExternalTools::SQ_ExternalTools( TQWidget* parent, const char* name, bool modal, WFlags fl )
    : TQDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "SQ_ExternalTools" );
    setSizeGripEnabled( TRUE );
    SQ_ExternalToolsLayout = new TQGridLayout( this, 1, 1, 11, 6, "SQ_ExternalToolsLayout"); 
    spacer5 = new TQSpacerItem( 65, 20, TQSizePolicy::Expanding, TQSizePolicy::Minimum );
    SQ_ExternalToolsLayout->addItem( spacer5, 3, 0 );

    pushCancel = new TQPushButton( this, "pushCancel" );
    pushCancel->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)1, (TQSizePolicy::SizeType)0, 0, 0, pushCancel->sizePolicy().hasHeightForWidth() ) );

    SQ_ExternalToolsLayout->addMultiCellWidget( pushCancel, 3, 3, 2, 3 );

    pushOK = new TQPushButton( this, "pushOK" );
    pushOK->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)1, (TQSizePolicy::SizeType)0, 0, 0, pushOK->sizePolicy().hasHeightForWidth() ) );
    pushOK->setDefault( TRUE );

    SQ_ExternalToolsLayout->addWidget( pushOK, 3, 1 );

    line1 = new TQFrame( this, "line1" );
    line1->setFrameShape( TQFrame::HLine );
    line1->setFrameShadow( TQFrame::Sunken );
    line1->setFrameShape( TQFrame::HLine );

    SQ_ExternalToolsLayout->addMultiCellWidget( line1, 2, 2, 0, 3 );

    listTools = new TQListView( this, "listTools" );
    listTools->addColumn( tr2i18n( "Pixmap" ) );
    listTools->addColumn( tr2i18n( "Name" ) );
    listTools->addColumn( tr2i18n( "Command" ) );
    listTools->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)7, (TQSizePolicy::SizeType)7, 0, 0, listTools->sizePolicy().hasHeightForWidth() ) );
    listTools->setResizePolicy( TQScrollView::Manual );
    listTools->setSelectionMode( TQListView::Single );
    listTools->setAllColumnsShowFocus( TRUE );
    listTools->setResizeMode( TQListView::LastColumn );
    listTools->setDefaultRenameAction( TQListView::Reject );

    SQ_ExternalToolsLayout->addMultiCellWidget( listTools, 0, 1, 0, 2 );
    spacer7 = new TQSpacerItem( 20, 130, TQSizePolicy::Minimum, TQSizePolicy::Expanding );
    SQ_ExternalToolsLayout->addItem( spacer7, 1, 3 );

    layout4 = new TQVBoxLayout( 0, 0, 6, "layout4"); 

    groupBox3 = new TQGroupBox( this, "groupBox3" );
    groupBox3->setColumnLayout(0, TQt::Vertical );
    groupBox3->layout()->setSpacing( 6 );
    groupBox3->layout()->setMargin( 5 );
    groupBox3Layout = new TQGridLayout( groupBox3->layout() );
    groupBox3Layout->setAlignment( TQt::AlignTop );

    pushNew = new TQPushButton( groupBox3, "pushNew" );
    pushNew->setFlat( TRUE );

    groupBox3Layout->addWidget( pushNew, 0, 0 );

    pushDelete = new TQPushButton( groupBox3, "pushDelete" );
    pushDelete->setAutoRepeat( TRUE );
    pushDelete->setFlat( TRUE );

    groupBox3Layout->addWidget( pushDelete, 1, 0 );

    pushClearAll = new TQPushButton( groupBox3, "pushClearAll" );
    pushClearAll->setFlat( TRUE );

    groupBox3Layout->addWidget( pushClearAll, 2, 0 );
    layout4->addWidget( groupBox3 );

    groupBox4 = new TQGroupBox( this, "groupBox4" );
    groupBox4->setColumnLayout(0, TQt::Vertical );
    groupBox4->layout()->setSpacing( 6 );
    groupBox4->layout()->setMargin( 5 );
    groupBox4Layout = new TQGridLayout( groupBox4->layout() );
    groupBox4Layout->setAlignment( TQt::AlignTop );

    pushToolUp = new TQPushButton( groupBox4, "pushToolUp" );
    pushToolUp->setEnabled( TRUE );
    pushToolUp->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)0, (TQSizePolicy::SizeType)0, 0, 0, pushToolUp->sizePolicy().hasHeightForWidth() ) );
    pushToolUp->setMinimumSize( TQSize( 22, 22 ) );
    pushToolUp->setAutoRepeat( TRUE );
    pushToolUp->setFlat( TRUE );

    groupBox4Layout->addWidget( pushToolUp, 0, 0 );

    pushToolDown = new TQPushButton( groupBox4, "pushToolDown" );
    pushToolDown->setEnabled( TRUE );
    pushToolDown->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)0, (TQSizePolicy::SizeType)0, 0, 0, pushToolDown->sizePolicy().hasHeightForWidth() ) );
    pushToolDown->setMinimumSize( TQSize( 22, 22 ) );
    pushToolDown->setAutoRepeat( TRUE );
    pushToolDown->setFlat( TRUE );

    groupBox4Layout->addWidget( pushToolDown, 1, 0 );
    layout4->addWidget( groupBox4 );

    groupBox3_2 = new TQGroupBox( this, "groupBox3_2" );
    groupBox3_2->setColumnLayout(0, TQt::Vertical );
    groupBox3_2->layout()->setSpacing( 6 );
    groupBox3_2->layout()->setMargin( 5 );
    groupBox3_2Layout = new TQGridLayout( groupBox3_2->layout() );
    groupBox3_2Layout->setAlignment( TQt::AlignTop );

    pushHelp = new TQPushButton( groupBox3_2, "pushHelp" );
    pushHelp->setEnabled( TRUE );
    pushHelp->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)0, (TQSizePolicy::SizeType)0, 0, 0, pushHelp->sizePolicy().hasHeightForWidth() ) );
    pushHelp->setMinimumSize( TQSize( 22, 22 ) );
    pushHelp->setFlat( TRUE );

    groupBox3_2Layout->addWidget( pushHelp, 0, 0 );
    layout4->addWidget( groupBox3_2 );

    SQ_ExternalToolsLayout->addLayout( layout4, 0, 3 );
    languageChange();
    resize( TQSize(562, 419).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( pushOK, TQ_SIGNAL( clicked() ), this, TQ_SLOT( accept() ) );
    connect( pushCancel, TQ_SIGNAL( clicked() ), this, TQ_SLOT( reject() ) );
    connect( listTools, TQ_SIGNAL( rightButtonClicked(TQListViewItem*,const TQPoint&,int) ), this, TQ_SLOT( slotToolRenameRequest(TQListViewItem*,const TQPoint&,int) ) );
    connect( pushToolUp, TQ_SIGNAL( clicked() ), this, TQ_SLOT( slotToolUp() ) );
    connect( pushToolDown, TQ_SIGNAL( clicked() ), this, TQ_SLOT( slotToolDown() ) );
    connect( pushNew, TQ_SIGNAL( clicked() ), this, TQ_SLOT( slotNewTool() ) );
    connect( pushClearAll, TQ_SIGNAL( clicked() ), listTools, TQ_SLOT( clear() ) );
    connect( pushDelete, TQ_SIGNAL( clicked() ), this, TQ_SLOT( slotToolClear() ) );
    connect( pushHelp, TQ_SIGNAL( clicked() ), this, TQ_SLOT( slotHelp() ) );

    // tab order
    setTabOrder( listTools, pushNew );
    setTabOrder( pushNew, pushDelete );
    setTabOrder( pushDelete, pushClearAll );
    setTabOrder( pushClearAll, pushToolUp );
    setTabOrder( pushToolUp, pushToolDown );
    setTabOrder( pushToolDown, pushHelp );
    setTabOrder( pushHelp, pushOK );
    setTabOrder( pushOK, pushCancel );
    init();
}

/*
 *  Destroys the object and frees any allocated resources
 */
SQ_ExternalTools::~SQ_ExternalTools()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void SQ_ExternalTools::languageChange()
{
    setCaption( tr2i18n( "Adjust external tools" ) );
    pushCancel->setText( tr2i18n( "Cancel" ) );
    pushOK->setText( tr2i18n( "OK" ) );
    listTools->header()->setLabel( 0, tr2i18n( "Pixmap" ) );
    listTools->header()->setLabel( 1, tr2i18n( "Name" ) );
    listTools->header()->setLabel( 2, tr2i18n( "Command" ) );
    TQToolTip::add( listTools, tr2i18n( "<b>Command</b> can contain <ul><li>%f: one file<li>%F: multiple files</ul>" ) );
    groupBox3->setTitle( TQString::null );
    pushNew->setText( TQString::null );
    TQToolTip::add( pushNew, tr2i18n( "New tool" ) );
    pushDelete->setText( TQString::null );
    TQToolTip::add( pushDelete, tr2i18n( "Delete" ) );
    pushClearAll->setText( TQString::null );
    TQToolTip::add( pushClearAll, tr2i18n( "Clear All" ) );
    groupBox4->setTitle( TQString::null );
    pushToolUp->setText( TQString::null );
    TQToolTip::add( pushToolUp, tr2i18n( "Move tool up" ) );
    pushToolDown->setText( TQString::null );
    TQToolTip::add( pushToolDown, tr2i18n( "Move tool down" ) );
    groupBox3_2->setTitle( TQString::null );
    pushHelp->setText( TQString::null );
}

#include "sq_externaltools.moc"
