#include <kdialog.h>
#include <tdelocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './sq_glinfo.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "sq_glinfo.h"

#include <ntqvariant.h>
#include <GL/gl.h>
#include <tqmap.h>
#include <ntqheader.h>
#include <ntqlistview.h>
#include <ntqframe.h>
#include <ntqpushbutton.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>
#include <ntqimage.h>
#include <ntqpixmap.h>

#include "./sq_glinfo.ui.h"

/*
 *  Constructs a SQ_GLInfo as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The qdialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal qdialog.
 */
SQ_GLInfo::SQ_GLInfo( TQWidget* parent, const char* name, bool modal, WFlags fl )
    : TQDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "SQ_GLInfo" );
    setSizeGripEnabled( TRUE );
    SQ_GLInfoLayout = new TQGridLayout( this, 1, 1, 11, 6, "SQ_GLInfoLayout"); 

    listGL = new TQListView( this, "listGL" );
    listGL->addColumn( tr2i18n( "Parameter" ) );
    listGL->addColumn( tr2i18n( "Value" ) );
    listGL->setAllColumnsShowFocus( TRUE );
    listGL->setItemMargin( 2 );
    listGL->setResizeMode( TQListView::LastColumn );

    SQ_GLInfoLayout->addMultiCellWidget( listGL, 0, 0, 0, 1 );

    line8 = new TQFrame( this, "line8" );
    line8->setFrameShape( TQFrame::HLine );
    line8->setFrameShadow( TQFrame::Sunken );
    line8->setFrameShape( TQFrame::HLine );

    SQ_GLInfoLayout->addMultiCellWidget( line8, 1, 1, 0, 1 );

    pushClose = new TQPushButton( this, "pushClose" );

    SQ_GLInfoLayout->addWidget( pushClose, 2, 1 );
    spacer15 = new TQSpacerItem( 431, 21, TQSizePolicy::Expanding, TQSizePolicy::Minimum );
    SQ_GLInfoLayout->addItem( spacer15, 2, 0 );
    languageChange();
    resize( TQSize(542, 233).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( pushClose, TQ_SIGNAL( clicked() ), this, TQ_SLOT( reject() ) );

    // tab order
    setTabOrder( pushClose, listGL );
    init();
}

/*
 *  Destroys the object and frees any allocated resources
 */
SQ_GLInfo::~SQ_GLInfo()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void SQ_GLInfo::languageChange()
{
    setCaption( tr2i18n( "OpenGL information" ) );
    listGL->header()->setLabel( 0, tr2i18n( "Parameter" ) );
    listGL->header()->setLabel( 1, tr2i18n( "Value" ) );
    listGL->clear();
    TQListViewItem * item = new TQListViewItem( listGL, 0 );
    item->setText( 0, tr2i18n( "GL_VENDOR" ) );

    item = new TQListViewItem( listGL, item );
    item->setText( 0, tr2i18n( "GL_RENDERER" ) );

    item = new TQListViewItem( listGL, item );
    item->setText( 0, tr2i18n( "GL_VERSION" ) );

    pushClose->setText( tr2i18n( "Close" ) );
}

#include "sq_glinfo.moc"
