#include <kdialog.h>
#include <tdelocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './sq_options.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "sq_options.h"

#include <ntqvariant.h>
#include <kcolorbutton.h>
#include <klineedit.h>
#include <knuminput.h>
#include <kpushbutton.h>
#include <kstandarddirs.h>
#include <kurlrequester.h>
#include <sq_iconlistbox.h>
#include <tqdir.h>
#include <tqfileinfo.h>
#include <tqimage.h>
#include <tqmessagebox.h>
#include <ntqpushbutton.h>
#include <ntqwidgetstack.h>
#include <ntqwidget.h>
#include <ntqlabel.h>
#include <ntqgroupbox.h>
#include <ntqcheckbox.h>
#include <ntqbuttongroup.h>
#include <ntqradiobutton.h>
#include <ntqtabwidget.h>
#include <ntqspinbox.h>
#include <ntqframe.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>
#include "sq_codecsettings.h"
#include "sq_config.h"
#include "sq_hloptions.h"
#include "sq_iconlistitem.h"
#include "sq_iconloader.h"
#include "sq_libraryhandler.h"
#include "sq_pixmapcache.h"
#include "sq_viewcache.h"
#include "sq_iconlistbox.h"
#include "./sq_options.ui.h"

/*
 *  Constructs a SQ_Options as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The qdialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal qdialog.
 */
SQ_Options::SQ_Options( TQWidget* parent, const char* name, bool modal, WFlags fl )
    : TQDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "SQ_Options" );
    setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)5, (TQSizePolicy::SizeType)5, 0, 0, sizePolicy().hasHeightForWidth() ) );
    setMinimumSize( TQSize( 0, 0 ) );
    setMaximumSize( TQSize( 10000, 10000 ) );
    setSizeGripEnabled( TRUE );
    SQ_OptionsLayout = new TQGridLayout( this, 1, 1, 11, 6, "SQ_OptionsLayout"); 

    listMain = new SQ_IconListBox( this, "listMain" );
    listMain->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)0, (TQSizePolicy::SizeType)5, 0, 0, listMain->sizePolicy().hasHeightForWidth() ) );

    SQ_OptionsLayout->addWidget( listMain, 0, 0 );

    layout5 = new TQHBoxLayout( 0, 0, 6, "layout5"); 
    spacer1 = new TQSpacerItem( 400, 20, TQSizePolicy::Expanding, TQSizePolicy::Minimum );
    layout5->addItem( spacer1 );

    buttonOk = new KPushButton( this, "buttonOk" );
    buttonOk->setAutoDefault( TRUE );
    buttonOk->setDefault( TRUE );
    layout5->addWidget( buttonOk );

    buttonCancel = new TQPushButton( this, "buttonCancel" );
    buttonCancel->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)0, (TQSizePolicy::SizeType)0, 0, 0, buttonCancel->sizePolicy().hasHeightForWidth() ) );
    buttonCancel->setAutoDefault( TRUE );
    buttonCancel->setFlat( FALSE );
    layout5->addWidget( buttonCancel );

    SQ_OptionsLayout->addMultiCellLayout( layout5, 2, 2, 0, 1 );

    widgetStack = new TQWidgetStack( this, "widgetStack" );
    widgetStack->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)7, (TQSizePolicy::SizeType)7, 0, 0, widgetStack->sizePolicy().hasHeightForWidth() ) );
    widgetStack->setMargin( 0 );

    pageMain = new TQWidget( widgetStack, "pageMain" );
    pageMainLayout = new TQGridLayout( pageMain, 1, 1, 0, 6, "pageMainLayout"); 
    spacer10 = new TQSpacerItem( 20, 20, TQSizePolicy::Minimum, TQSizePolicy::Expanding );
    pageMainLayout->addItem( spacer10, 2, 0 );

    textLabel1_2_4 = new TQLabel( pageMain, "textLabel1_2_4" );

    pageMainLayout->addWidget( textLabel1_2_4, 0, 0 );

    groupBox5 = new TQGroupBox( pageMain, "groupBox5" );
    groupBox5->setFrameShape( TQGroupBox::NoFrame );
    groupBox5->setFrameShadow( TQGroupBox::Plain );
    groupBox5->setColumnLayout(0, TQt::Vertical );
    groupBox5->layout()->setSpacing( 6 );
    groupBox5->layout()->setMargin( 11 );
    groupBox5Layout = new TQGridLayout( groupBox5->layout() );
    groupBox5Layout->setAlignment( TQt::AlignTop );

    checkSync = new TQCheckBox( groupBox5, "checkSync" );

    groupBox5Layout->addWidget( checkSync, 1, 0 );

    checkMinimize = new TQCheckBox( groupBox5, "checkMinimize" );

    groupBox5Layout->addWidget( checkMinimize, 0, 0 );

    checkSplash = new TQCheckBox( groupBox5, "checkSplash" );

    groupBox5Layout->addWidget( checkSplash, 2, 0 );

    checkAnime = new TQCheckBox( groupBox5, "checkAnime" );

    groupBox5Layout->addWidget( checkAnime, 3, 0 );

    buttonGroupCS = new TQButtonGroup( groupBox5, "buttonGroupCS" );
    buttonGroupCS->setColumnLayout(0, TQt::Vertical );
    buttonGroupCS->layout()->setSpacing( 1 );
    buttonGroupCS->layout()->setMargin( 9 );
    buttonGroupCSLayout = new TQGridLayout( buttonGroupCS->layout() );
    buttonGroupCSLayout->setAlignment( TQt::AlignTop );

    radioButton22 = new TQRadioButton( buttonGroupCS, "radioButton22" );

    buttonGroupCSLayout->addWidget( radioButton22, 0, 0 );

    radioButton23 = new TQRadioButton( buttonGroupCS, "radioButton23" );

    buttonGroupCSLayout->addWidget( radioButton23, 1, 0 );

    radioButton24_2 = new TQRadioButton( buttonGroupCS, "radioButton24_2" );

    buttonGroupCSLayout->addWidget( radioButton24_2, 2, 0 );

    radioButton25_2 = new TQRadioButton( buttonGroupCS, "radioButton25_2" );

    buttonGroupCSLayout->addWidget( radioButton25_2, 3, 0 );

    groupBox5Layout->addWidget( buttonGroupCS, 6, 0 );

    checkTreat = new TQCheckBox( groupBox5, "checkTreat" );

    groupBox5Layout->addWidget( checkTreat, 4, 0 );

    checkKIPIDemand = new TQCheckBox( groupBox5, "checkKIPIDemand" );
    checkKIPIDemand->setEnabled( FALSE );

    groupBox5Layout->addWidget( checkKIPIDemand, 5, 0 );

    pageMainLayout->addWidget( groupBox5, 1, 0 );
    widgetStack->addWidget( pageMain, 0 );

    pageFileview = new TQWidget( widgetStack, "pageFileview" );
    pageFileviewLayout = new TQGridLayout( pageFileview, 1, 1, 0, 6, "pageFileviewLayout"); 

    textLabel1_2_4_3 = new TQLabel( pageFileview, "textLabel1_2_4_3" );

    pageFileviewLayout->addWidget( textLabel1_2_4_3, 0, 0 );

    tabNav = new TQTabWidget( pageFileview, "tabNav" );

    tab = new TQWidget( tabNav, "tab" );
    tabLayout = new TQGridLayout( tab, 1, 1, 11, 6, "tabLayout"); 

    buttonGroupSetPath = new TQButtonGroup( tab, "buttonGroupSetPath" );
    buttonGroupSetPath->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)5, (TQSizePolicy::SizeType)0, 0, 0, buttonGroupSetPath->sizePolicy().hasHeightForWidth() ) );
    buttonGroupSetPath->setFrameShape( TQButtonGroup::GroupBoxPanel );
    buttonGroupSetPath->setColumnLayout(0, TQt::Vertical );
    buttonGroupSetPath->layout()->setSpacing( 1 );
    buttonGroupSetPath->layout()->setMargin( 9 );
    buttonGroupSetPathLayout = new TQGridLayout( buttonGroupSetPath->layout() );
    buttonGroupSetPathLayout->setAlignment( TQt::AlignTop );

    radioSetThis = new TQRadioButton( buttonGroupSetPath, "radioSetThis" );
    buttonGroupSetPath->insert( radioSetThis, 2 );

    buttonGroupSetPathLayout->addWidget( radioSetThis, 2, 0 );

    radioSetLast = new TQRadioButton( buttonGroupSetPath, "radioSetLast" );
    buttonGroupSetPath->insert( radioSetLast, 0 );

    buttonGroupSetPathLayout->addWidget( radioSetLast, 0, 0 );

    radioSetCurrent = new TQRadioButton( buttonGroupSetPath, "radioSetCurrent" );
    buttonGroupSetPath->insert( radioSetCurrent, 1 );

    buttonGroupSetPathLayout->addWidget( radioSetCurrent, 1, 0 );

    kURLReqOpenCustom = new KURLRequester( buttonGroupSetPath, "kURLReqOpenCustom" );
    kURLReqOpenCustom->setEnabled( FALSE );

    buttonGroupSetPathLayout->addWidget( kURLReqOpenCustom, 3, 0 );

    tabLayout->addWidget( buttonGroupSetPath, 0, 0 );

    checkRunUnknown = new TQCheckBox( tab, "checkRunUnknown" );

    tabLayout->addWidget( checkRunUnknown, 1, 0 );

    checkSaveHistory = new TQCheckBox( tab, "checkSaveHistory" );

    tabLayout->addWidget( checkSaveHistory, 2, 0 );

    checkSupportAr = new TQCheckBox( tab, "checkSupportAr" );

    tabLayout->addWidget( checkSupportAr, 3, 0 );

    checkJumpFirst = new TQCheckBox( tab, "checkJumpFirst" );

    tabLayout->addWidget( checkJumpFirst, 4, 0 );

    checkCalc = new TQCheckBox( tab, "checkCalc" );

    tabLayout->addWidget( checkCalc, 6, 0 );
    spacer16 = new TQSpacerItem( 20, 10, TQSizePolicy::Minimum, TQSizePolicy::Expanding );
    tabLayout->addItem( spacer16, 8, 0 );
    tabNav->insertTab( tab, TQString::fromLatin1("") );

    TabPage = new TQWidget( tabNav, "TabPage" );
    TabPageLayout = new TQGridLayout( TabPage, 1, 1, 11, 6, "TabPageLayout"); 
    spacer14 = new TQSpacerItem( 26, 10, TQSizePolicy::Minimum, TQSizePolicy::Expanding );
    TabPageLayout->addItem( spacer14, 4, 0 );

    checkTooltips = new TQCheckBox( TabPage, "checkTooltips" );

    TabPageLayout->addWidget( checkTooltips, 2, 0 );

    checkDisableDirs = new TQCheckBox( TabPage, "checkDisableDirs" );

    TabPageLayout->addWidget( checkDisableDirs, 0, 0 );

    checkDrag = new TQCheckBox( TabPage, "checkDrag" );

    TabPageLayout->addWidget( checkDrag, 1, 0 );

    groupTooltip = new TQGroupBox( TabPage, "groupTooltip" );
    groupTooltip->setEnabled( FALSE );
    groupTooltip->setColumnLayout(0, TQt::Vertical );
    groupTooltip->layout()->setSpacing( 6 );
    groupTooltip->layout()->setMargin( 11 );
    groupTooltipLayout = new TQGridLayout( groupTooltip->layout() );
    groupTooltipLayout->setAlignment( TQt::AlignTop );

    checkInactive = new TQCheckBox( groupTooltip, "checkInactive" );

    groupTooltipLayout->addWidget( checkInactive, 0, 0 );

    checkTooltipPreview = new TQCheckBox( groupTooltip, "checkTooltipPreview" );

    groupTooltipLayout->addWidget( checkTooltipPreview, 1, 0 );

    spinLines = new KIntNumInput( groupTooltip, "spinLines" );

    groupTooltipLayout->addWidget( spinLines, 2, 0 );

    TabPageLayout->addWidget( groupTooltip, 3, 0 );
    tabNav->insertTab( TabPage, TQString::fromLatin1("") );

    tab_2 = new TQWidget( tabNav, "tab_2" );
    tabLayout_2 = new TQGridLayout( tab_2, 1, 1, 11, 6, "tabLayout_2"); 
    spacer18 = new TQSpacerItem( 20, 40, TQSizePolicy::Minimum, TQSizePolicy::Expanding );
    tabLayout_2->addItem( spacer18, 1, 0 );

    buttonGroupSync = new TQButtonGroup( tab_2, "buttonGroupSync" );
    buttonGroupSync->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)5, (TQSizePolicy::SizeType)0, 0, 0, buttonGroupSync->sizePolicy().hasHeightForWidth() ) );
    buttonGroupSync->setMargin( 0 );
    buttonGroupSync->setColumnLayout(0, TQt::Vertical );
    buttonGroupSync->layout()->setSpacing( 1 );
    buttonGroupSync->layout()->setMargin( 9 );
    buttonGroupSyncLayout = new TQGridLayout( buttonGroupSync->layout() );
    buttonGroupSyncLayout->setAlignment( TQt::AlignTop );

    radioSyncBoth = new TQRadioButton( buttonGroupSync, "radioSyncBoth" );

    buttonGroupSyncLayout->addWidget( radioSyncBoth, 2, 0 );

    radioSyncWStackTree = new TQRadioButton( buttonGroupSync, "radioSyncWStackTree" );

    buttonGroupSyncLayout->addWidget( radioSyncWStackTree, 1, 0 );

    radioSyncTreeWStack = new TQRadioButton( buttonGroupSync, "radioSyncTreeWStack" );

    buttonGroupSyncLayout->addWidget( radioSyncTreeWStack, 0, 0 );

    tabLayout_2->addWidget( buttonGroupSync, 0, 0 );
    tabNav->insertTab( tab_2, TQString::fromLatin1("") );

    pageFileviewLayout->addWidget( tabNav, 1, 0 );
    widgetStack->addWidget( pageFileview, 1 );

    pageThumbnails = new TQWidget( widgetStack, "pageThumbnails" );
    pageThumbnailsLayout = new TQGridLayout( pageThumbnails, 1, 1, 0, 6, "pageThumbnailsLayout"); 

    textLabel1_2_4_qqqq4 = new TQLabel( pageThumbnails, "textLabel1_2_4_qqqq4" );

    pageThumbnailsLayout->addWidget( textLabel1_2_4_qqqq4, 0, 0 );
    spacer17_3 = new TQSpacerItem( 20, 10, TQSizePolicy::Minimum, TQSizePolicy::Expanding );
    pageThumbnailsLayout->addItem( spacer17_3, 2, 0 );

    groupBox4 = new TQGroupBox( pageThumbnails, "groupBox4" );
    groupBox4->setFrameShape( TQGroupBox::NoFrame );
    groupBox4->setFrameShadow( TQGroupBox::Plain );
    groupBox4->setColumnLayout(0, TQt::Vertical );
    groupBox4->layout()->setSpacing( 6 );
    groupBox4->layout()->setMargin( 11 );
    groupBox4Layout = new TQGridLayout( groupBox4->layout() );
    groupBox4Layout->setAlignment( TQt::AlignTop );

    checkNoWriteThumbs = new TQCheckBox( groupBox4, "checkNoWriteThumbs" );

    groupBox4Layout->addWidget( checkNoWriteThumbs, 0, 0 );

    checkMark = new TQCheckBox( groupBox4, "checkMark" );

    groupBox4Layout->addWidget( checkMark, 1, 0 );

    spinLazy = new KIntNumInput( groupBox4, "spinLazy" );
    spinLazy->setEnabled( FALSE );

    groupBox4Layout->addWidget( spinLazy, 3, 0 );

    spinMargin = new KIntNumInput( groupBox4, "spinMargin" );

    groupBox4Layout->addWidget( spinMargin, 4, 0 );

    checkLazy = new TQCheckBox( groupBox4, "checkLazy" );

    groupBox4Layout->addWidget( checkLazy, 2, 0 );

    spinCacheSize = new KIntNumInput( groupBox4, "spinCacheSize" );

    groupBox4Layout->addWidget( spinCacheSize, 6, 0 );

    spinRows = new KIntNumInput( groupBox4, "spinRows" );

    groupBox4Layout->addWidget( spinRows, 5, 0 );

    pageThumbnailsLayout->addWidget( groupBox4, 1, 0 );
    widgetStack->addWidget( pageThumbnails, 2 );

    pageGL = new TQWidget( widgetStack, "pageGL" );
    pageGLLayout = new TQGridLayout( pageGL, 1, 1, 0, 6, "pageGLLayout"); 

    tabGL = new TQTabWidget( pageGL, "tabGL" );

    tab_3 = new TQWidget( tabGL, "tab_3" );
    tabLayout_3 = new TQGridLayout( tab_3, 1, 1, 11, 6, "tabLayout_3"); 

    buttonGroupScrolling = new TQButtonGroup( tab_3, "buttonGroupScrolling" );
    buttonGroupScrolling->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)5, (TQSizePolicy::SizeType)0, 0, 0, buttonGroupScrolling->sizePolicy().hasHeightForWidth() ) );
    buttonGroupScrolling->setColumnLayout(0, TQt::Vertical );
    buttonGroupScrolling->layout()->setSpacing( 1 );
    buttonGroupScrolling->layout()->setMargin( 9 );
    buttonGroupScrollingLayout = new TQGridLayout( buttonGroupScrolling->layout() );
    buttonGroupScrollingLayout->setAlignment( TQt::AlignTop );

    radioSCRZoom_2 = new TQRadioButton( buttonGroupScrolling, "radioSCRZoom_2" );

    buttonGroupScrollingLayout->addWidget( radioSCRZoom_2, 0, 0 );

    radioSRCNext_2 = new TQRadioButton( buttonGroupScrolling, "radioSRCNext_2" );

    buttonGroupScrollingLayout->addWidget( radioSRCNext_2, 1, 0 );

    tabLayout_3->addWidget( buttonGroupScrolling, 0, 0 );

    checkProgress = new TQCheckBox( tab_3, "checkProgress" );

    tabLayout_3->addWidget( checkProgress, 3, 0 );

    layout8 = new TQHBoxLayout( 0, 0, 6, "layout8"); 

    buttonGroupColor = new TQButtonGroup( tab_3, "buttonGroupColor" );
    buttonGroupColor->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)5, (TQSizePolicy::SizeType)7, 0, 0, buttonGroupColor->sizePolicy().hasHeightForWidth() ) );
    buttonGroupColor->setColumnLayout(0, TQt::Vertical );
    buttonGroupColor->layout()->setSpacing( 1 );
    buttonGroupColor->layout()->setMargin( 9 );
    buttonGroupColorLayout = new TQGridLayout( buttonGroupColor->layout() );
    buttonGroupColorLayout->setAlignment( TQt::AlignTop );

    radioColorCustomTexture = new TQRadioButton( buttonGroupColor, "radioColorCustomTexture" );
    buttonGroupColor->insert( radioColorCustomTexture, 2 );

    buttonGroupColorLayout->addWidget( radioColorCustomTexture, 2, 0 );

    radioColorCustom = new TQRadioButton( buttonGroupColor, "radioColorCustom" );
    buttonGroupColor->insert( radioColorCustom, 1 );

    buttonGroupColorLayout->addWidget( radioColorCustom, 1, 0 );

    radioColorSystem = new TQRadioButton( buttonGroupColor, "radioColorSystem" );
    buttonGroupColor->insert( radioColorSystem, 0 );

    buttonGroupColorLayout->addWidget( radioColorSystem, 0, 0 );
    layout8->addWidget( buttonGroupColor );

    widgetStack4 = new TQWidgetStack( tab_3, "widgetStack4" );

    WStackPage = new TQWidget( widgetStack4, "WStackPage" );
    WStackPageLayout = new TQGridLayout( WStackPage, 1, 1, 11, 6, "WStackPageLayout"); 

    kColorSystem = new KColorButton( WStackPage, "kColorSystem" );

    WStackPageLayout->addWidget( kColorSystem, 0, 0 );
    widgetStack4->addWidget( WStackPage, 0 );

    WStackPage_2 = new TQWidget( widgetStack4, "WStackPage_2" );
    WStackPageLayout_2 = new TQGridLayout( WStackPage_2, 1, 1, 11, 6, "WStackPageLayout_2"); 

    kColorGLbackground = new KColorButton( WStackPage_2, "kColorGLbackground" );
    kColorGLbackground->setEnabled( FALSE );
    kColorGLbackground->setMinimumSize( TQSize( 95, 25 ) );
    kColorGLbackground->setFlat( FALSE );

    WStackPageLayout_2->addWidget( kColorGLbackground, 0, 0 );
    widgetStack4->addWidget( WStackPage_2, 1 );

    WStackPage_3 = new TQWidget( widgetStack4, "WStackPage_3" );
    WStackPageLayout_3 = new TQGridLayout( WStackPage_3, 1, 1, 11, 6, "WStackPageLayout_3"); 

    kURLReqCustomTexture = new KURLRequester( WStackPage_3, "kURLReqCustomTexture" );
    kURLReqCustomTexture->setEnabled( FALSE );
    kURLReqCustomTexture->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)5, (TQSizePolicy::SizeType)0, 0, 0, kURLReqCustomTexture->sizePolicy().hasHeightForWidth() ) );

    WStackPageLayout_3->addWidget( kURLReqCustomTexture, 0, 0 );

    groupBox3 = new TQGroupBox( WStackPage_3, "groupBox3" );
    groupBox3->setEnabled( FALSE );
    groupBox3->setFrameShape( TQGroupBox::NoFrame );
    groupBox3->setColumnLayout(0, TQt::Vertical );
    groupBox3->layout()->setSpacing( 5 );
    groupBox3->layout()->setMargin( 0 );
    groupBox3Layout = new TQGridLayout( groupBox3->layout() );
    groupBox3Layout->setAlignment( TQt::AlignTop );

    pushCustomValidate = new TQPushButton( groupBox3, "pushCustomValidate" );

    groupBox3Layout->addWidget( pushCustomValidate, 0, 0 );

    textCustomValidate = new TQLabel( groupBox3, "textCustomValidate" );
    textCustomValidate->setAlignment( int( TQLabel::WordBreak | TQLabel::AlignVCenter ) );

    groupBox3Layout->addWidget( textCustomValidate, 0, 1 );

    WStackPageLayout_3->addWidget( groupBox3, 1, 0 );
    spacer16_5 = new TQSpacerItem( 16, 2, TQSizePolicy::Minimum, TQSizePolicy::Expanding );
    WStackPageLayout_3->addItem( spacer16_5, 2, 0 );
    widgetStack4->addWidget( WStackPage_3, 2 );
    layout8->addWidget( widgetStack4 );

    tabLayout_3->addLayout( layout8, 2, 0 );

    buttonGroupDC = new TQButtonGroup( tab_3, "buttonGroupDC" );
    buttonGroupDC->setColumnLayout(0, TQt::Vertical );
    buttonGroupDC->layout()->setSpacing( 1 );
    buttonGroupDC->layout()->setMargin( 9 );
    buttonGroupDCLayout = new TQGridLayout( buttonGroupDC->layout() );
    buttonGroupDCLayout->setAlignment( TQt::AlignTop );

    radioButton27_2 = new TQRadioButton( buttonGroupDC, "radioButton27_2" );
    buttonGroupDC->insert( radioButton27_2, 2 );

    buttonGroupDCLayout->addWidget( radioButton27_2, 2, 0 );

    radioButton28_2 = new TQRadioButton( buttonGroupDC, "radioButton28_2" );
    buttonGroupDC->insert( radioButton28_2, 0 );

    buttonGroupDCLayout->addWidget( radioButton28_2, 0, 0 );

    radioButton26_3 = new TQRadioButton( buttonGroupDC, "radioButton26_3" );
    buttonGroupDC->insert( radioButton26_3, 1 );

    buttonGroupDCLayout->addWidget( radioButton26_3, 1, 0 );

    tabLayout_3->addWidget( buttonGroupDC, 1, 0 );
    spacer16_2 = new TQSpacerItem( 20, 2, TQSizePolicy::Minimum, TQSizePolicy::Expanding );
    tabLayout_3->addItem( spacer16_2, 5, 0 );

    checkCloseAll = new TQCheckBox( tab_3, "checkCloseAll" );

    tabLayout_3->addWidget( checkCloseAll, 4, 0 );
    tabGL->insertTab( tab_3, TQString::fromLatin1("") );

    TabPage_2 = new TQWidget( tabGL, "TabPage_2" );
    TabPageLayout_2 = new TQGridLayout( TabPage_2, 1, 1, 11, 6, "TabPageLayout_2"); 

    buttonGroupPages = new TQButtonGroup( TabPage_2, "buttonGroupPages" );
    buttonGroupPages->setColumnLayout(0, TQt::Vertical );
    buttonGroupPages->layout()->setSpacing( 1 );
    buttonGroupPages->layout()->setMargin( 9 );
    buttonGroupPagesLayout = new TQGridLayout( buttonGroupPages->layout() );
    buttonGroupPagesLayout->setAlignment( TQt::AlignTop );

    radioButton18_2 = new TQRadioButton( buttonGroupPages, "radioButton18_2" );

    buttonGroupPagesLayout->addWidget( radioButton18_2, 0, 0 );

    radioButton19 = new TQRadioButton( buttonGroupPages, "radioButton19" );

    buttonGroupPagesLayout->addWidget( radioButton19, 1, 0 );

    radioButtonPagesNoMore = new TQRadioButton( buttonGroupPages, "radioButtonPagesNoMore" );

    buttonGroupPagesLayout->addWidget( radioButtonPagesNoMore, 2, 0 );

    pagesNumber = new KIntNumInput( buttonGroupPages, "pagesNumber" );
    pagesNumber->setEnabled( FALSE );

    buttonGroupPagesLayout->addWidget( pagesNumber, 3, 0 );

    TabPageLayout_2->addWidget( buttonGroupPages, 0, 0 );
    spacer13 = new TQSpacerItem( 16, 50, TQSizePolicy::Minimum, TQSizePolicy::Expanding );
    TabPageLayout_2->addItem( spacer13, 1, 0 );
    tabGL->insertTab( TabPage_2, TQString::fromLatin1("") );

    tab_4 = new TQWidget( tabGL, "tab_4" );
    tabLayout_4 = new TQGridLayout( tab_4, 1, 1, 11, 6, "tabLayout_4"); 
    spacer16_4 = new TQSpacerItem( 20, 20, TQSizePolicy::Minimum, TQSizePolicy::Expanding );
    tabLayout_4->addItem( spacer16_4, 4, 0 );

    checkMarks = new TQCheckBox( tab_4, "checkMarks" );

    tabLayout_4->addWidget( checkMarks, 3, 0 );

    checkDrawQuads = new TQCheckBox( tab_4, "checkDrawQuads" );

    tabLayout_4->addWidget( checkDrawQuads, 2, 0 );

    sliderAngle = new KIntNumInput( tab_4, "sliderAngle" );

    tabLayout_4->addWidget( sliderAngle, 0, 0 );

    sliderMove = new KIntNumInput( tab_4, "sliderMove" );

    tabLayout_4->addWidget( sliderMove, 1, 0 );
    tabGL->insertTab( tab_4, TQString::fromLatin1("") );

    TabPage_3 = new TQWidget( tabGL, "TabPage_3" );
    TabPageLayout_3 = new TQGridLayout( TabPage_3, 1, 1, 11, 6, "TabPageLayout_3"); 

    buttonGroupZoomLimit = new TQButtonGroup( TabPage_3, "buttonGroupZoomLimit" );
    buttonGroupZoomLimit->setColumnLayout(0, TQt::Vertical );
    buttonGroupZoomLimit->layout()->setSpacing( 1 );
    buttonGroupZoomLimit->layout()->setMargin( 9 );
    buttonGroupZoomLimitLayout = new TQGridLayout( buttonGroupZoomLimit->layout() );
    buttonGroupZoomLimitLayout->setAlignment( TQt::AlignTop );

    radioButton27 = new TQRadioButton( buttonGroupZoomLimit, "radioButton27" );
    buttonGroupZoomLimit->insert( radioButton27, 1 );

    buttonGroupZoomLimitLayout->addWidget( radioButton27, 1, 0 );

    radioButton28 = new TQRadioButton( buttonGroupZoomLimit, "radioButton28" );

    buttonGroupZoomLimitLayout->addWidget( radioButton28, 2, 0 );

    groupBox1 = new TQGroupBox( buttonGroupZoomLimit, "groupBox1" );
    groupBox1->setEnabled( FALSE );
    groupBox1->setFrameShape( TQGroupBox::NoFrame );
    groupBox1->setColumnLayout(0, TQt::Vertical );
    groupBox1->layout()->setSpacing( 0 );
    groupBox1->layout()->setMargin( 0 );
    groupBox1Layout = new TQGridLayout( groupBox1->layout() );
    groupBox1Layout->setAlignment( TQt::AlignTop );

    textLabel1_3 = new TQLabel( groupBox1, "textLabel1_3" );

    groupBox1Layout->addWidget( textLabel1_3, 0, 0 );

    spinZoomMin = new TQSpinBox( groupBox1, "spinZoomMin" );
    spinZoomMin->setMaxValue( 100 );
    spinZoomMin->setMinValue( 1 );

    groupBox1Layout->addWidget( spinZoomMin, 1, 0 );

    textLabel2_2 = new TQLabel( groupBox1, "textLabel2_2" );

    groupBox1Layout->addWidget( textLabel2_2, 0, 1 );

    spinZoomMax = new TQSpinBox( groupBox1, "spinZoomMax" );
    spinZoomMax->setMaxValue( 100000 );
    spinZoomMax->setMinValue( 101 );

    groupBox1Layout->addWidget( spinZoomMax, 1, 1 );

    buttonGroupZoomLimitLayout->addWidget( groupBox1, 3, 0 );

    radioButton26 = new TQRadioButton( buttonGroupZoomLimit, "radioButton26" );
    buttonGroupZoomLimit->insert( radioButton26, 0 );

    buttonGroupZoomLimitLayout->addWidget( radioButton26, 0, 0 );

    TabPageLayout_3->addWidget( buttonGroupZoomLimit, 0, 0 );

    spinZoomFactor = new KIntNumInput( TabPage_3, "spinZoomFactor" );

    TabPageLayout_3->addWidget( spinZoomFactor, 1, 0 );
    spacer19 = new TQSpacerItem( 20, 40, TQSizePolicy::Minimum, TQSizePolicy::Expanding );
    TabPageLayout_3->addItem( spacer19, 2, 0 );
    tabGL->insertTab( TabPage_3, TQString::fromLatin1("") );

    TabPage_4 = new TQWidget( tabGL, "TabPage_4" );
    TabPageLayout_4 = new TQGridLayout( TabPage_4, 1, 1, 11, 6, "TabPageLayout_4"); 

    checkTabs = new TQCheckBox( TabPage_4, "checkTabs" );

    TabPageLayout_4->addWidget( checkTabs, 0, 0 );
    spacer15_2 = new TQSpacerItem( 16, 46, TQSizePolicy::Minimum, TQSizePolicy::Expanding );
    TabPageLayout_4->addItem( spacer15_2, 2, 0 );

    groupTabs = new TQGroupBox( TabPage_4, "groupTabs" );
    groupTabs->setEnabled( FALSE );
    groupTabs->setColumnLayout(0, TQt::Vertical );
    groupTabs->layout()->setSpacing( 6 );
    groupTabs->layout()->setMargin( 11 );
    groupTabsLayout = new TQGridLayout( groupTabs->layout() );
    groupTabsLayout->setAlignment( TQt::AlignTop );

    checkTabAsk = new TQCheckBox( groupTabs, "checkTabAsk" );

    groupTabsLayout->addWidget( checkTabAsk, 0, 0 );

    checkTabClose = new TQCheckBox( groupTabs, "checkTabClose" );

    groupTabsLayout->addWidget( checkTabClose, 1, 0 );

    TabPageLayout_4->addWidget( groupTabs, 1, 0 );
    tabGL->insertTab( TabPage_4, TQString::fromLatin1("") );

    pageGLLayout->addWidget( tabGL, 1, 0 );

    textLabel1_2_4_4 = new TQLabel( pageGL, "textLabel1_2_4_4" );

    pageGLLayout->addWidget( textLabel1_2_4_4, 0, 0 );
    widgetStack->addWidget( pageGL, 3 );

    WStackPage_4 = new TQWidget( widgetStack, "WStackPage_4" );
    WStackPageLayout_4 = new TQGridLayout( WStackPage_4, 1, 1, 0, 6, "WStackPageLayout_4"); 

    tabSidebar = new TQTabWidget( WStackPage_4, "tabSidebar" );

    tab_5 = new TQWidget( tabSidebar, "tab_5" );
    tabLayout_5 = new TQGridLayout( tab_5, 1, 1, 11, 6, "tabLayout_5"); 

    buttonGroupRecurs = new TQButtonGroup( tab_5, "buttonGroupRecurs" );
    buttonGroupRecurs->setColumnLayout(0, TQt::Vertical );
    buttonGroupRecurs->layout()->setSpacing( 1 );
    buttonGroupRecurs->layout()->setMargin( 9 );
    buttonGroupRecursLayout = new TQGridLayout( buttonGroupRecurs->layout() );
    buttonGroupRecursLayout->setAlignment( TQt::AlignTop );

    radioButton24 = new TQRadioButton( buttonGroupRecurs, "radioButton24" );

    buttonGroupRecursLayout->addWidget( radioButton24, 0, 0 );

    radioButton25 = new TQRadioButton( buttonGroupRecurs, "radioButton25" );

    buttonGroupRecursLayout->addWidget( radioButton25, 1, 0 );

    radioButton26_2 = new TQRadioButton( buttonGroupRecurs, "radioButton26_2" );
    buttonGroupRecurs->insert( radioButton26_2, 3 );

    buttonGroupRecursLayout->addWidget( radioButton26_2, 3, 0 );

    radioButton26_2_2 = new TQRadioButton( buttonGroupRecurs, "radioButton26_2_2" );
    buttonGroupRecurs->insert( radioButton26_2_2, 2 );

    buttonGroupRecursLayout->addWidget( radioButton26_2_2, 2, 0 );

    tabLayout_5->addWidget( buttonGroupRecurs, 0, 0 );
    spacer14_2 = new TQSpacerItem( 21, 135, TQSizePolicy::Minimum, TQSizePolicy::Expanding );
    tabLayout_5->addItem( spacer14_2, 1, 0 );
    tabSidebar->insertTab( tab_5, TQString::fromLatin1("") );

    TabPage_5 = new TQWidget( tabSidebar, "TabPage_5" );
    TabPageLayout_5 = new TQGridLayout( TabPage_5, 1, 1, 11, 6, "TabPageLayout_5"); 

    checkDevice = new TQCheckBox( TabPage_5, "checkDevice" );

    TabPageLayout_5->addWidget( checkDevice, 0, 0 );
    spacer16_6 = new TQSpacerItem( 21, 90, TQSizePolicy::Minimum, TQSizePolicy::Expanding );
    TabPageLayout_5->addItem( spacer16_6, 3, 0 );

    checkMountOptions = new TQCheckBox( TabPage_5, "checkMountOptions" );

    TabPageLayout_5->addWidget( checkMountOptions, 2, 0 );

    checkMountFS = new TQCheckBox( TabPage_5, "checkMountFS" );

    TabPageLayout_5->addWidget( checkMountFS, 1, 0 );
    tabSidebar->insertTab( TabPage_5, TQString::fromLatin1("") );

    TabPage_6 = new TQWidget( tabSidebar, "TabPage_6" );
    TabPageLayout_6 = new TQGridLayout( TabPage_6, 1, 1, 11, 6, "TabPageLayout_6"); 

    preview = new TQCheckBox( TabPage_6, "preview" );

    TabPageLayout_6->addWidget( preview, 0, 0 );
    spacer15 = new TQSpacerItem( 21, 10, TQSizePolicy::Minimum, TQSizePolicy::Expanding );
    TabPageLayout_6->addItem( spacer15, 2, 0 );

    groupBoxPreview = new TQGroupBox( TabPage_6, "groupBoxPreview" );
    groupBoxPreview->setEnabled( FALSE );
    groupBoxPreview->setColumnLayout(0, TQt::Vertical );
    groupBoxPreview->layout()->setSpacing( 6 );
    groupBoxPreview->layout()->setMargin( 11 );
    groupBoxPreviewLayout = new TQGridLayout( groupBoxPreview->layout() );
    groupBoxPreviewLayout->setAlignment( TQt::AlignTop );

    previewDelay = new KIntNumInput( groupBoxPreview, "previewDelay" );

    groupBoxPreviewLayout->addMultiCellWidget( previewDelay, 0, 0, 0, 1 );

    textLabel1 = new TQLabel( groupBoxPreview, "textLabel1" );

    groupBoxPreviewLayout->addWidget( textLabel1, 1, 0 );

    previewColor = new KColorButton( groupBoxPreview, "previewColor" );

    groupBoxPreviewLayout->addWidget( previewColor, 1, 1 );

    previewDont = new TQCheckBox( groupBoxPreview, "previewDont" );

    groupBoxPreviewLayout->addMultiCellWidget( previewDont, 4, 4, 0, 1 );

    previewTextColor = new KColorButton( groupBoxPreview, "previewTextColor" );
    previewTextColor->setEnabled( FALSE );

    groupBoxPreviewLayout->addWidget( previewTextColor, 3, 1 );

    textPreviewText = new TQLabel( groupBoxPreview, "textPreviewText" );
    textPreviewText->setEnabled( FALSE );

    groupBoxPreviewLayout->addWidget( textPreviewText, 3, 0 );

    checkPreviewText = new TQCheckBox( groupBoxPreview, "checkPreviewText" );

    groupBoxPreviewLayout->addMultiCellWidget( checkPreviewText, 2, 2, 0, 1 );

    TabPageLayout_6->addWidget( groupBoxPreview, 1, 0 );
    tabSidebar->insertTab( TabPage_6, TQString::fromLatin1("") );

    WStackPageLayout_4->addWidget( tabSidebar, 1, 0 );

    textLabel1_2_4_5_2 = new TQLabel( WStackPage_4, "textLabel1_2_4_5_2" );

    WStackPageLayout_4->addWidget( textLabel1_2_4_5_2, 0, 0 );
    widgetStack->addWidget( WStackPage_4, 4 );

    WStackPage_5 = new TQWidget( widgetStack, "WStackPage_5" );

    textLabelKIPI = new TQLabel( WStackPage_5, "textLabelKIPI" );
    textLabelKIPI->setGeometry( TQRect( 5, 5, 406, 20 ) );
    widgetStack->addWidget( WStackPage_5, 5 );

    SQ_OptionsLayout->addWidget( widgetStack, 0, 1 );

    line10 = new TQFrame( this, "line10" );
    line10->setFrameShape( TQFrame::HLine );
    line10->setFrameShadow( TQFrame::Sunken );
    line10->setFrameShape( TQFrame::HLine );

    SQ_OptionsLayout->addMultiCellWidget( line10, 1, 1, 0, 1 );
    languageChange();
    resize( TQSize(437, 468).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( buttonCancel, TQ_SIGNAL( clicked() ), this, TQ_SLOT( reject() ) );
    connect( kURLReqCustomTexture, TQ_SIGNAL( urlSelected(const TQString&) ), this, TQ_SLOT( slotNewCustomTexture(const TQString&) ) );
    connect( radioButton28, TQ_SIGNAL( toggled(bool) ), groupBox1, TQ_SLOT( setEnabled(bool) ) );
    connect( radioColorCustom, TQ_SIGNAL( toggled(bool) ), kColorGLbackground, TQ_SLOT( setEnabled(bool) ) );
    connect( radioColorCustomTexture, TQ_SIGNAL( toggled(bool) ), this, TQ_SLOT( slotCustomTextureToggled(bool) ) );
    connect( radioSetThis, TQ_SIGNAL( toggled(bool) ), kURLReqOpenCustom, TQ_SLOT( setEnabled(bool) ) );
    connect( pushCustomValidate, TQ_SIGNAL( clicked() ), this, TQ_SLOT( slotValidateCustomTexture() ) );
    connect( kURLReqCustomTexture, TQ_SIGNAL( returnPressed(const TQString&) ), this, TQ_SLOT( slotNewCustomTexture(const TQString&) ) );
    connect( buttonGroupColor, TQ_SIGNAL( clicked(int) ), widgetStack4, TQ_SLOT( raiseWidget(int) ) );
    connect( kColorSystem, TQ_SIGNAL( changed(const TQColor&) ), this, TQ_SLOT( slotSetSystemBack(const TQColor&) ) );
    connect( radioButtonPagesNoMore, TQ_SIGNAL( toggled(bool) ), pagesNumber, TQ_SLOT( setEnabled(bool) ) );
    connect( buttonOk, TQ_SIGNAL( clicked() ), this, TQ_SLOT( accept() ) );
    connect( preview, TQ_SIGNAL( toggled(bool) ), groupBoxPreview, TQ_SLOT( setEnabled(bool) ) );
    connect( checkLazy, TQ_SIGNAL( toggled(bool) ), spinLazy, TQ_SLOT( setEnabled(bool) ) );
    connect( checkTooltips, TQ_SIGNAL( toggled(bool) ), groupTooltip, TQ_SLOT( setEnabled(bool) ) );
    connect( checkPreviewText, TQ_SIGNAL( toggled(bool) ), textPreviewText, TQ_SLOT( setEnabled(bool) ) );
    connect( checkPreviewText, TQ_SIGNAL( toggled(bool) ), previewTextColor, TQ_SLOT( setEnabled(bool) ) );
    connect( checkTabs, TQ_SIGNAL( toggled(bool) ), groupTabs, TQ_SLOT( setEnabled(bool) ) );

    // tab order
    setTabOrder( checkMinimize, checkSync );
    setTabOrder( checkSync, tabNav );
    setTabOrder( tabNav, radioSetLast );
    setTabOrder( radioSetLast, radioSetCurrent );
    setTabOrder( radioSetCurrent, radioSetThis );
    setTabOrder( radioSetThis, kURLReqOpenCustom );
    setTabOrder( kURLReqOpenCustom, checkRunUnknown );
    setTabOrder( checkRunUnknown, checkSaveHistory );
    setTabOrder( checkSaveHistory, checkSupportAr );
    setTabOrder( checkSupportAr, checkJumpFirst );
    setTabOrder( checkJumpFirst, radioSyncBoth );
    setTabOrder( radioSyncBoth, radioSyncTreeWStack );
    setTabOrder( radioSyncTreeWStack, radioSyncWStackTree );
    setTabOrder( radioSyncWStackTree, checkNoWriteThumbs );
    setTabOrder( checkNoWriteThumbs, tabGL );
    setTabOrder( tabGL, radioSCRZoom_2 );
    setTabOrder( radioSCRZoom_2, radioSRCNext_2 );
    setTabOrder( radioSRCNext_2, radioColorSystem );
    setTabOrder( radioColorSystem, radioColorCustom );
    setTabOrder( radioColorCustom, radioColorCustomTexture );
    setTabOrder( radioColorCustomTexture, kURLReqCustomTexture );
    setTabOrder( kURLReqCustomTexture, pushCustomValidate );
    setTabOrder( pushCustomValidate, checkDrawQuads );
    setTabOrder( checkDrawQuads, checkMarks );
    setTabOrder( checkMarks, radioButton26 );
    setTabOrder( radioButton26, radioButton27 );
    setTabOrder( radioButton27, radioButton28 );
    setTabOrder( radioButton28, spinZoomMin );
    setTabOrder( spinZoomMin, spinZoomMax );
    setTabOrder( spinZoomMax, buttonCancel );
    setTabOrder( buttonCancel, kColorSystem );
    setTabOrder( kColorSystem, kColorGLbackground );
    init();
}

/*
 *  Destroys the object and frees any allocated resources
 */
SQ_Options::~SQ_Options()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void SQ_Options::languageChange()
{
    setCaption( tr2i18n( "Options" ) );
    TQToolTip::add( this, TQString::null );
    buttonOk->setText( tr2i18n( "OK" ) );
    buttonCancel->setText( tr2i18n( "&Cancel" ) );
    textLabel1_2_4->setText( tr2i18n( "<b>The main options</b>" ) );
    groupBox5->setTitle( TQString::null );
    checkSync->setText( tr2i18n( "Write configuration file to disk, when I press \"OK\"" ) );
    checkMinimize->setText( tr2i18n( "Minimize to tray after closing" ) );
    checkSplash->setText( tr2i18n( "Show splash screen at startup" ) );
    checkAnime->setText( tr2i18n( "Don't show animated logo in toolbar" ) );
    buttonGroupCS->setTitle( tr2i18n( "Apply codec settings to" ) );
    radioButton22->setText( tr2i18n( "Thumbnail loader" ) );
    radioButton23->setText( tr2i18n( "Image viewer (also preview window)" ) );
    radioButton24_2->setText( tr2i18n( "Both" ) );
    radioButton25_2->setText( tr2i18n( "RunTime" ) );
    checkTreat->setText( tr2i18n( "Treat unknown mime types as unsupported" ) );
    checkKIPIDemand->setText( tr2i18n( "Load KIPI plugins on demand (for slow machines)" ) );
    textLabel1_2_4_3->setText( tr2i18n( "<b>Disk navigator</b>" ) );
    buttonGroupSetPath->setTitle( tr2i18n( "On starting open..." ) );
    TQToolTip::add( buttonGroupSetPath, TQString::null );
    radioSetThis->setText( tr2i18n( "Custom directory:" ) );
    radioSetLast->setText( tr2i18n( "Last visited directory" ) );
    radioSetCurrent->setText( tr2i18n( "Current directory, where KSquirrel starts" ) );
    checkRunUnknown->setText( tr2i18n( "Run unknown file formats separately (with default application)" ) );
    TQToolTip::add( checkRunUnknown, TQString::null );
    checkSaveHistory->setText( tr2i18n( "Save history" ) );
    checkSupportAr->setText( tr2i18n( "Jump into archives" ) );
    checkJumpFirst->setText( tr2i18n( "Jump to first image" ) );
    checkCalc->setText( tr2i18n( "Calculate directory size" ) );
    tabNav->changeTab( tab, tr2i18n( "Main" ) );
    checkTooltips->setText( tr2i18n( "Show tooltips with file information" ) );
    checkDisableDirs->setText( tr2i18n( "Don't show directories" ) );
    checkDrag->setText( tr2i18n( "Visualize drag operation" ) );
    groupTooltip->setTitle( TQString::null );
    checkInactive->setText( tr2i18n( "Don't show tooltips when the main window is inactive" ) );
    checkTooltipPreview->setText( tr2i18n( "Show file preview" ) );
    spinLines->setLabel( tr2i18n( "Number of text lines" ) );
    tabNav->changeTab( TabPage, tr2i18n( "Interface" ) );
    buttonGroupSync->setTitle( tr2i18n( "Synchronization" ) );
    radioSyncBoth->setText( tr2i18n( "Both" ) );
    radioSyncWStackTree->setText( tr2i18n( "Tree <- Navigator" ) );
    radioSyncTreeWStack->setText( tr2i18n( "Tree -> Navigator" ) );
    tabNav->changeTab( tab_2, tr2i18n( "Clicking" ) );
    textLabel1_2_4_qqqq4->setText( tr2i18n( "<b>Thumbnails</b>" ) );
    groupBox4->setTitle( TQString::null );
    checkNoWriteThumbs->setText( tr2i18n( "Do not write thumbnails on disk" ) );
    checkMark->setText( tr2i18n( "Mark supported image formats with clock icon (slow)" ) );
    spinLazy->setLabel( tr2i18n( "Delay" ) );
    spinLazy->setSuffix( tr2i18n( " ms." ) );
    spinMargin->setLabel( tr2i18n( "Margin between thumbnails" ) );
    spinMargin->setSuffix( tr2i18n( " pixels" ) );
    checkLazy->setText( tr2i18n( "Lazy thumbnail generation" ) );
    spinCacheSize->setLabel( tr2i18n( "Maximum cache size (in memory)" ) );
    spinCacheSize->setSuffix( tr2i18n( " Kb" ) );
    spinCacheSize->setSpecialValueText( tr2i18n( "No cache" ) );
    spinRows->setLabel( tr2i18n( "Number of additionally generated rows" ) );
    spinRows->setSpecialValueText( tr2i18n( "No" ) );
    buttonGroupScrolling->setTitle( tr2i18n( "On scroll event" ) );
    radioSCRZoom_2->setText( tr2i18n( "Zoom the scene" ) );
    radioSRCNext_2->setText( tr2i18n( "Load next/previous file" ) );
    checkProgress->setText( tr2i18n( "Show images progressively" ) );
    buttonGroupColor->setTitle( tr2i18n( "Background" ) );
    radioColorCustomTexture->setText( tr2i18n( "Custom texture" ) );
    radioColorCustom->setText( tr2i18n( "Custom color" ) );
    radioColorSystem->setText( tr2i18n( "System color" ) );
    kColorSystem->setText( TQString::null );
    kColorGLbackground->setText( TQString::null );
    groupBox3->setTitle( TQString::null );
    pushCustomValidate->setText( tr2i18n( "Validate" ) );
    textCustomValidate->setText( TQString::null );
    buttonGroupDC->setTitle( tr2i18n( "Double click" ) );
    radioButton27_2->setText( tr2i18n( "Fullscreen" ) );
    radioButton28_2->setText( tr2i18n( "Do nothing" ) );
    radioButton26_3->setText( tr2i18n( "Close window" ) );
    checkCloseAll->setText( tr2i18n( "Close all opened images when closing window" ) );
    tabGL->changeTab( tab_3, tr2i18n( "Window" ) );
    buttonGroupPages->setTitle( tr2i18n( "Image pages" ) );
    radioButton18_2->setText( tr2i18n( "Load all pages" ) );
    radioButton19->setText( tr2i18n( "Load only first page" ) );
    radioButtonPagesNoMore->setText( tr2i18n( "Load no more than" ) );
    pagesNumber->setSuffix( tr2i18n( " pages" ) );
    tabGL->changeTab( TabPage_2, tr2i18n( "Loader" ) );
    checkMarks->setText( tr2i18n( "Draw tickmarks around the image" ) );
    checkDrawQuads->setText( tr2i18n( "Draw background for transparent images" ) );
    sliderAngle->setLabel( tr2i18n( "Rotating" ) );
    sliderAngle->setSuffix( tr2i18n( " degrees" ) );
    sliderMove->setLabel( tr2i18n( "Moving" ) );
    sliderMove->setSuffix( tr2i18n( " pixels" ) );
    tabGL->changeTab( tab_4, tr2i18n( "Image" ) );
    buttonGroupZoomLimit->setTitle( tr2i18n( "Zoom limit" ) );
    radioButton27->setText( tr2i18n( "Minimum: 1%, maximum: 10,000%" ) );
    radioButton28->setText( tr2i18n( "Custom" ) );
    groupBox1->setTitle( TQString::null );
    textLabel1_3->setText( tr2i18n( "minimum" ) );
    spinZoomMin->setSuffix( tr2i18n( " %" ) );
    textLabel2_2->setText( tr2i18n( "maximum" ) );
    spinZoomMax->setSuffix( tr2i18n( " %" ) );
    radioButton26->setText( tr2i18n( "No limit" ) );
    spinZoomFactor->setLabel( tr2i18n( "Zoom coefficient" ) );
    spinZoomFactor->setSuffix( tr2i18n( "%" ) );
    spinZoomFactor->setSpecialValueText( tr2i18n( "None" ) );
    tabGL->changeTab( TabPage_3, tr2i18n( "Zoom" ) );
    checkTabs->setText( tr2i18n( "Enable tabs" ) );
    groupTabs->setTitle( TQString::null );
    checkTabAsk->setText( tr2i18n( "Ask what to do when opening new image" ) );
    checkTabClose->setText( tr2i18n( "Show close buttons" ) );
    tabGL->changeTab( TabPage_4, tr2i18n( "Tabs" ) );
    textLabel1_2_4_4->setText( tr2i18n( "<b>Customize OpenGL widget</b>" ) );
    buttonGroupRecurs->setTitle( tr2i18n( "Recursion" ) );
    radioButton24->setText( tr2i18n( "No recursion" ) );
    radioButton25->setText( tr2i18n( "Show number of files" ) );
    radioButton26_2->setText( tr2i18n( "Show number of subfolders and files" ) );
    radioButton26_2_2->setText( tr2i18n( "Show number of subfolders" ) );
    tabSidebar->changeTab( tab_5, tr2i18n( "Treeview" ) );
    checkDevice->setText( tr2i18n( "Show device path" ) );
    checkMountOptions->setText( tr2i18n( "Show mount options" ) );
    checkMountFS->setText( tr2i18n( "Show filesystem type" ) );
    tabSidebar->changeTab( TabPage_5, tr2i18n( "Mount view" ) );
    preview->setText( tr2i18n( "Enable preview window" ) );
    groupBoxPreview->setTitle( TQString::null );
    previewDelay->setLabel( tr2i18n( "Delay before image loading" ) );
    previewDelay->setSuffix( tr2i18n( " ms" ) );
    textLabel1->setText( tr2i18n( "Background color for preview widget:" ) );
    previewColor->setText( TQString::null );
    previewDont->setText( tr2i18n( "Don't load preview image on file execution" ) );
    TQWhatsThis::add( previewDont, tr2i18n( "Disables loading preview image when user launches image with mouse" ) );
    previewTextColor->setText( TQString::null );
    textPreviewText->setText( tr2i18n( "Text color:" ) );
    checkPreviewText->setText( tr2i18n( "Show image dimensions" ) );
    tabSidebar->changeTab( TabPage_6, tr2i18n( "Image preview" ) );
    textLabel1_2_4_5_2->setText( tr2i18n( "<b>Sidebar settings</b>" ) );
    textLabelKIPI->setText( tr2i18n( "<b>KIPI Configuration</b>" ) );
}

#include "sq_options.moc"
