#include <kdialog.h>
#include <tdelocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './sq_slideshow.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "sq_slideshow.h"

#include <ntqvariant.h>
#include <kcolorbutton.h>
#include <klineedit.h>
#include <knuminput.h>
#include <kpushbutton.h>
#include <kurlrequester.h>
#include <tqpopupmenu.h>
#include <ntqpushbutton.h>
#include <ntqgroupbox.h>
#include <ntqlabel.h>
#include <ntqcheckbox.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>
#include "sq_config.h"
#include "sq_iconloader.h"
#include "sq_widgetstack.h"
#include "./sq_slideshow.ui.h"

/*
 *  Constructs a SQ_SlideShow as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The qdialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal qdialog.
 */
SQ_SlideShow::SQ_SlideShow( TQWidget* parent, const char* name, bool modal, WFlags fl )
    : TQDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "SQ_SlideShow" );
    setSizeGripEnabled( TRUE );
    SQ_SlideShowLayout = new TQGridLayout( this, 1, 1, 11, 6, "SQ_SlideShowLayout"); 

    layout2 = new TQHBoxLayout( 0, 0, 6, "layout2"); 
    spacer1 = new TQSpacerItem( 220, 26, TQSizePolicy::Expanding, TQSizePolicy::Minimum );
    layout2->addItem( spacer1 );

    pushStart = new TQPushButton( this, "pushStart" );
    pushStart->setDefault( TRUE );
    layout2->addWidget( pushStart );

    pushClose = new TQPushButton( this, "pushClose" );
    layout2->addWidget( pushClose );

    SQ_SlideShowLayout->addLayout( layout2, 1, 0 );

    groupBox1 = new TQGroupBox( this, "groupBox1" );
    groupBox1->setColumnLayout(0, TQt::Vertical );
    groupBox1->layout()->setSpacing( 6 );
    groupBox1->layout()->setMargin( 11 );
    groupBox1Layout = new TQGridLayout( groupBox1->layout() );
    groupBox1Layout->setAlignment( TQt::AlignTop );

    textLabel1_2 = new TQLabel( groupBox1, "textLabel1_2" );
    textLabel1_2->setAlignment( int( TQLabel::AlignVCenter | TQLabel::AlignRight ) );

    groupBox1Layout->addWidget( textLabel1_2, 0, 0 );
    spacer2 = new TQSpacerItem( 175, 16, TQSizePolicy::Expanding, TQSizePolicy::Minimum );
    groupBox1Layout->addItem( spacer2, 2, 2 );

    spinCycle = new KIntSpinBox( groupBox1, "spinCycle" );
    spinCycle->setMaxValue( 1000 );

    groupBox1Layout->addWidget( spinCycle, 3, 1 );

    spinDelay = new KIntSpinBox( groupBox1, "spinDelay" );
    spinDelay->setMaxValue( 100000 );
    spinDelay->setMinValue( 500 );
    spinDelay->setLineStep( 100 );

    groupBox1Layout->addWidget( spinDelay, 2, 1 );

    textLabel1 = new TQLabel( groupBox1, "textLabel1" );
    textLabel1->setAlignment( int( TQLabel::AlignVCenter | TQLabel::AlignRight ) );

    groupBox1Layout->addWidget( textLabel1, 2, 0 );

    textLabel1_4 = new TQLabel( groupBox1, "textLabel1_4" );
    textLabel1_4->setAlignment( int( TQLabel::AlignVCenter | TQLabel::AlignRight ) );

    groupBox1Layout->addWidget( textLabel1_4, 3, 0 );

    textLabel1_6 = new TQLabel( groupBox1, "textLabel1_6" );
    textLabel1_6->setAlignment( int( TQLabel::AlignVCenter | TQLabel::AlignRight ) );

    groupBox1Layout->addWidget( textLabel1_6, 1, 0 );

    checkRecurs = new TQCheckBox( groupBox1, "checkRecurs" );

    groupBox1Layout->addMultiCellWidget( checkRecurs, 1, 1, 1, 2 );

    textSize = new TQLabel( groupBox1, "textSize" );
    textSize->setEnabled( FALSE );
    textSize->setAlignment( int( TQLabel::AlignVCenter | TQLabel::AlignRight ) );

    groupBox1Layout->addWidget( textSize, 8, 0 );

    textPos = new TQLabel( groupBox1, "textPos" );
    textPos->setEnabled( FALSE );
    textPos->setAlignment( int( TQLabel::AlignVCenter | TQLabel::AlignRight ) );

    groupBox1Layout->addWidget( textPos, 6, 0 );

    checkSize = new TQCheckBox( groupBox1, "checkSize" );
    checkSize->setEnabled( FALSE );

    groupBox1Layout->addMultiCellWidget( checkSize, 8, 8, 1, 2 );

    textName = new TQLabel( groupBox1, "textName" );
    textName->setEnabled( FALSE );
    textName->setAlignment( int( TQLabel::AlignVCenter | TQLabel::AlignRight ) );

    groupBox1Layout->addWidget( textName, 7, 0 );

    checkPos = new TQCheckBox( groupBox1, "checkPos" );
    checkPos->setEnabled( FALSE );

    groupBox1Layout->addMultiCellWidget( checkPos, 6, 6, 1, 2 );

    checkName = new TQCheckBox( groupBox1, "checkName" );
    checkName->setEnabled( FALSE );

    groupBox1Layout->addMultiCellWidget( checkName, 7, 7, 1, 2 );

    textLabel1_3 = new TQLabel( groupBox1, "textLabel1_3" );
    textLabel1_3->setAlignment( int( TQLabel::AlignVCenter | TQLabel::AlignRight ) );

    groupBox1Layout->addWidget( textLabel1_3, 4, 0 );

    bcolor = new KColorButton( groupBox1, "bcolor" );

    groupBox1Layout->addWidget( bcolor, 4, 1 );
    spacer3_2 = new TQSpacerItem( 186, 16, TQSizePolicy::Expanding, TQSizePolicy::Minimum );
    groupBox1Layout->addItem( spacer3_2, 4, 2 );

    textLabel1_5 = new TQLabel( groupBox1, "textLabel1_5" );
    textLabel1_5->setAlignment( int( TQLabel::AlignVCenter | TQLabel::AlignRight ) );

    groupBox1Layout->addWidget( textLabel1_5, 5, 0 );

    checkMessages = new TQCheckBox( groupBox1, "checkMessages" );

    groupBox1Layout->addMultiCellWidget( checkMessages, 5, 5, 1, 2 );
    spacer3_2_2 = new TQSpacerItem( 145, 16, TQSizePolicy::Expanding, TQSizePolicy::Minimum );
    groupBox1Layout->addItem( spacer3_2_2, 9, 2 );

    tcolor = new KColorButton( groupBox1, "tcolor" );
    tcolor->setEnabled( FALSE );

    groupBox1Layout->addWidget( tcolor, 9, 1 );

    textColor = new TQLabel( groupBox1, "textColor" );
    textColor->setEnabled( FALSE );
    textColor->setAlignment( int( TQLabel::AlignVCenter | TQLabel::AlignRight ) );

    groupBox1Layout->addWidget( textColor, 9, 0 );

    layout3 = new TQHBoxLayout( 0, 0, 6, "layout3"); 

    kurl = new KURLRequester( groupBox1, "kurl" );
    layout3->addWidget( kurl );

    pushCurrent = new TQPushButton( groupBox1, "pushCurrent" );
    layout3->addWidget( pushCurrent );

    pushHistory = new TQPushButton( groupBox1, "pushHistory" );
    layout3->addWidget( pushHistory );

    groupBox1Layout->addMultiCellLayout( layout3, 0, 0, 1, 2 );

    SQ_SlideShowLayout->addWidget( groupBox1, 0, 0 );
    languageChange();
    resize( TQSize(425, 350).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( pushClose, TQ_SIGNAL( clicked() ), this, TQ_SLOT( reject() ) );
    connect( pushStart, TQ_SIGNAL( clicked() ), this, TQ_SLOT( accept() ) );
    connect( kurl, TQ_SIGNAL( urlSelected(const TQString&) ), this, TQ_SLOT( slotDirectory(const TQString&) ) );
    connect( checkMessages, TQ_SIGNAL( toggled(bool) ), this, TQ_SLOT( slotMessages(bool) ) );

    // tab order
    setTabOrder( kurl, spinDelay );
    setTabOrder( spinDelay, spinCycle );
    setTabOrder( spinCycle, pushStart );
    setTabOrder( pushStart, pushClose );
    init();
}

/*
 *  Destroys the object and frees any allocated resources
 */
SQ_SlideShow::~SQ_SlideShow()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void SQ_SlideShow::languageChange()
{
    setCaption( tr2i18n( "Slideshow options" ) );
    pushStart->setText( tr2i18n( "Start" ) );
    pushClose->setText( tr2i18n( "Close" ) );
    groupBox1->setTitle( TQString::null );
    textLabel1_2->setText( tr2i18n( "Directory:" ) );
    spinCycle->setSpecialValueText( tr2i18n( "No" ) );
    spinDelay->setSuffix( tr2i18n( " ms" ) );
    textLabel1->setText( tr2i18n( "Delay:" ) );
    textLabel1_4->setText( tr2i18n( "Repeats:" ) );
    textLabel1_6->setText( tr2i18n( "Recursively" ) );
    checkRecurs->setText( TQString::null );
    textSize->setText( tr2i18n( "Show file size" ) );
    textPos->setText( tr2i18n( "Show current index" ) );
    checkSize->setText( TQString::null );
    textName->setText( tr2i18n( "Show file name" ) );
    checkPos->setText( TQString::null );
    checkName->setText( TQString::null );
    textLabel1_3->setText( tr2i18n( "Background color:" ) );
    bcolor->setText( TQString::null );
    textLabel1_5->setText( tr2i18n( "Onscreen messages" ) );
    checkMessages->setText( TQString::null );
    tcolor->setText( TQString::null );
    textColor->setText( tr2i18n( "Message text color:" ) );
    pushCurrent->setText( TQString::null );
    pushHistory->setText( TQString::null );
}

#include "sq_slideshow.moc"
