#include <kdialog.h>
#include <tdelocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './sq_thumbnailcachemaster.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "sq_thumbnailcachemaster.h"

#include <ntqvariant.h>
#include <kdirsize.h>
#include <kpushbutton.h>
#include <tdeio/global.h>
#include <tdeio/job.h>
#include <tqapplication.h>
#include <ntqlabel.h>
#include <ntqframe.h>
#include <ntqpushbutton.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>
#include "sq_dirthumbs.h"
#include "sq_iconloader.h"
#include "sq_pixmapcache.h"
#include "sq_viewcache.h"
#include "./sq_thumbnailcachemaster.ui.h"

/*
 *  Constructs a SQ_ThumbnailCacheMaster as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The qdialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal qdialog.
 */
SQ_ThumbnailCacheMaster::SQ_ThumbnailCacheMaster( TQWidget* parent, const char* name, bool modal, WFlags fl )
    : TQDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "SQ_ThumbnailCacheMaster" );
    setSizeGripEnabled( TRUE );
    SQ_ThumbnailCacheMasterLayout = new TQGridLayout( this, 1, 1, 11, 6, "SQ_ThumbnailCacheMasterLayout"); 

    pushCache = new KPushButton( this, "pushCache" );
    pushCache->setAutoDefault( FALSE );

    SQ_ThumbnailCacheMasterLayout->addWidget( pushCache, 0, 0 );

    textThumbSize = new TQLabel( this, "textThumbSize" );
    textThumbSize->setFrameShape( TQLabel::StyledPanel );
    textThumbSize->setMargin( 1 );
    textThumbSize->setAlignment( int( TQLabel::AlignCenter ) );

    SQ_ThumbnailCacheMasterLayout->addWidget( textThumbSize, 0, 1 );

    pushClearCache = new KPushButton( this, "pushClearCache" );
    pushClearCache->setAutoDefault( FALSE );

    SQ_ThumbnailCacheMasterLayout->addWidget( pushClearCache, 1, 0 );

    pushShowCache = new KPushButton( this, "pushShowCache" );
    pushShowCache->setAutoDefault( FALSE );

    SQ_ThumbnailCacheMasterLayout->addWidget( pushShowCache, 3, 0 );

    pushClearCacheMemory = new KPushButton( this, "pushClearCacheMemory" );
    pushClearCacheMemory->setAutoDefault( FALSE );

    SQ_ThumbnailCacheMasterLayout->addWidget( pushClearCacheMemory, 4, 0 );

    textCacheMemSize = new TQLabel( this, "textCacheMemSize" );
    textCacheMemSize->setFrameShape( TQLabel::StyledPanel );
    textCacheMemSize->setMargin( 1 );
    textCacheMemSize->setAlignment( int( TQLabel::AlignCenter ) );

    SQ_ThumbnailCacheMasterLayout->addWidget( textCacheMemSize, 2, 1 );

    pushSyncCache = new KPushButton( this, "pushSyncCache" );
    pushSyncCache->setAutoDefault( FALSE );

    SQ_ThumbnailCacheMasterLayout->addWidget( pushSyncCache, 5, 0 );

    pushCacheMemory = new KPushButton( this, "pushCacheMemory" );
    pushCacheMemory->setAutoDefault( FALSE );

    SQ_ThumbnailCacheMasterLayout->addWidget( pushCacheMemory, 2, 0 );

    line1 = new TQFrame( this, "line1" );
    line1->setFrameShape( TQFrame::HLine );
    line1->setFrameShadow( TQFrame::Sunken );
    line1->setFrameShape( TQFrame::HLine );

    SQ_ThumbnailCacheMasterLayout->addMultiCellWidget( line1, 6, 6, 0, 1 );

    layout1 = new TQHBoxLayout( 0, 0, 6, "layout1"); 
    spacer1 = new TQSpacerItem( 195, 21, TQSizePolicy::Expanding, TQSizePolicy::Minimum );
    layout1->addItem( spacer1 );

    pushClose = new TQPushButton( this, "pushClose" );
    layout1->addWidget( pushClose );

    SQ_ThumbnailCacheMasterLayout->addMultiCellLayout( layout1, 7, 7, 0, 1 );
    languageChange();
    resize( TQSize(331, 244).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( pushSyncCache, TQ_SIGNAL( clicked() ), this, TQ_SLOT( slotSyncCache() ) );
    connect( pushShowCache, TQ_SIGNAL( clicked() ), this, TQ_SLOT( slotShowDiskCache() ) );
    connect( pushClearCacheMemory, TQ_SIGNAL( clicked() ), this, TQ_SLOT( slotClearMemoryCache() ) );
    connect( pushClearCache, TQ_SIGNAL( clicked() ), this, TQ_SLOT( slotClearCache() ) );
    connect( pushCacheMemory, TQ_SIGNAL( clicked() ), this, TQ_SLOT( slotCalcCacheMemory() ) );
    connect( pushCache, TQ_SIGNAL( clicked() ), this, TQ_SLOT( slotCalcCache() ) );
    connect( pushClose, TQ_SIGNAL( clicked() ), this, TQ_SLOT( reject() ) );

    // tab order
    setTabOrder( pushCache, pushClearCache );
    setTabOrder( pushClearCache, pushCacheMemory );
    setTabOrder( pushCacheMemory, pushShowCache );
    setTabOrder( pushShowCache, pushClearCacheMemory );
    setTabOrder( pushClearCacheMemory, pushSyncCache );
    setTabOrder( pushSyncCache, pushClose );
    init();
}

/*
 *  Destroys the object and frees any allocated resources
 */
SQ_ThumbnailCacheMaster::~SQ_ThumbnailCacheMaster()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void SQ_ThumbnailCacheMaster::languageChange()
{
    setCaption( tr2i18n( "Thumbnail cache" ) );
    pushCache->setText( tr2i18n( "Calculate cache size on disk" ) );
    textThumbSize->setText( TQString::null );
    pushClearCache->setText( tr2i18n( "Clear cache on disk" ) );
    pushShowCache->setText( tr2i18n( "View memory cache" ) );
    pushClearCacheMemory->setText( tr2i18n( "Clear cache in memory" ) );
    textCacheMemSize->setText( TQString::null );
    pushSyncCache->setText( tr2i18n( "Sync cache to disk" ) );
    pushCacheMemory->setText( tr2i18n( "Calculate cache size in memory" ) );
    pushClose->setText( tr2i18n( "Close" ) );
}

#include "sq_thumbnailcachemaster.moc"
