#include <kdialog.h>
#include <tdelocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './sq_viewcache.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "sq_viewcache.h"

#include <ntqvariant.h>
#include <ntqpushbutton.h>
#include <ntqheader.h>
#include <ntqlistview.h>
#include <ntqframe.h>
#include <ntqlabel.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>
#include "sq_pixmapcache.h"
#include "./sq_viewcache.ui.h"

/*
 *  Constructs a SQ_ViewCache as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The qdialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal qdialog.
 */
SQ_ViewCache::SQ_ViewCache( TQWidget* parent, const char* name, bool modal, WFlags fl )
    : TQDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "SQ_ViewCache" );
    setSizeGripEnabled( TRUE );
    setModal( TRUE );
    SQ_ViewCacheLayout = new TQGridLayout( this, 1, 1, 11, 6, "SQ_ViewCacheLayout"); 

    pushButton1 = new TQPushButton( this, "pushButton1" );

    SQ_ViewCacheLayout->addWidget( pushButton1, 3, 2 );

    listCache = new TQListView( this, "listCache" );
    listCache->addColumn( tr2i18n( "Name" ) );
    listCache->addColumn( tr2i18n( "MIME" ) );
    listCache->addColumn( tr2i18n( "Parameters" ) );
    listCache->setResizePolicy( TQListView::AutoOneFit );
    listCache->setAllColumnsShowFocus( TRUE );
    listCache->setResizeMode( TQListView::NoColumn );

    SQ_ViewCacheLayout->addMultiCellWidget( listCache, 0, 0, 0, 2 );

    line1 = new TQFrame( this, "line1" );
    line1->setFrameShape( TQFrame::HLine );
    line1->setFrameShadow( TQFrame::Sunken );
    line1->setFrameShape( TQFrame::HLine );

    SQ_ViewCacheLayout->addMultiCellWidget( line1, 1, 2, 0, 2 );

    layout2 = new TQHBoxLayout( 0, 0, 6, "layout2"); 

    textLabel1 = new TQLabel( this, "textLabel1" );
    textLabel1->setAlignment( int( TQLabel::AlignVCenter ) );
    layout2->addWidget( textLabel1 );

    textTotal = new TQLabel( this, "textTotal" );
    textTotal->setTextFormat( TQLabel::RichText );
    textTotal->setAlignment( int( TQLabel::AlignCenter ) );
    layout2->addWidget( textTotal );
    spacer2 = new TQSpacerItem( 16, 20, TQSizePolicy::Expanding, TQSizePolicy::Minimum );
    layout2->addItem( spacer2 );

    SQ_ViewCacheLayout->addLayout( layout2, 3, 0 );
    languageChange();
    resize( TQSize(523, 410).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( pushButton1, TQ_SIGNAL( clicked() ), this, TQ_SLOT( accept() ) );

    // tab order
    setTabOrder( listCache, pushButton1 );
    init();
}

/*
 *  Destroys the object and frees any allocated resources
 */
SQ_ViewCache::~SQ_ViewCache()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void SQ_ViewCache::languageChange()
{
    setCaption( tr2i18n( "Memory cache" ) );
    pushButton1->setText( tr2i18n( "Close" ) );
    listCache->header()->setLabel( 0, tr2i18n( "Name" ) );
    listCache->header()->setLabel( 1, tr2i18n( "MIME" ) );
    listCache->header()->setLabel( 2, tr2i18n( "Parameters" ) );
    textLabel1->setText( tr2i18n( "<b>Total:</b>" ) );
}

#include "sq_viewcache.moc"
