#include <kdialog.h>
#include <tdelocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './sq_filters.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "sq_filters.h"

#include <ntqvariant.h>
#include <ntqpushbutton.h>
#include <ntqframe.h>
#include <ntqgroupbox.h>
#include <ntqheader.h>
#include <ntqlistview.h>
#include <ntqcheckbox.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>
#include "sq_config.h"
#include "sq_iconloader.h"
#include "ksquirrel.h"
#include "./sq_filters.ui.h"

/*
 *  Constructs a SQ_Filters as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The qdialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal qdialog.
 */
SQ_Filters::SQ_Filters( TQWidget* parent, const char* name, bool modal, WFlags fl )
    : TQDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "SQ_Filters" );
    setSizeGripEnabled( TRUE );
    SQ_FiltersLayout = new TQGridLayout( this, 1, 1, 11, 6, "SQ_FiltersLayout"); 

    pushOK = new TQPushButton( this, "pushOK" );
    pushOK->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)1, (TQSizePolicy::SizeType)0, 0, 0, pushOK->sizePolicy().hasHeightForWidth() ) );
    pushOK->setDefault( TRUE );

    SQ_FiltersLayout->addWidget( pushOK, 3, 1 );

    pushCancel = new TQPushButton( this, "pushCancel" );
    pushCancel->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)1, (TQSizePolicy::SizeType)0, 0, 0, pushCancel->sizePolicy().hasHeightForWidth() ) );

    SQ_FiltersLayout->addMultiCellWidget( pushCancel, 3, 3, 2, 3 );
    spacer5 = new TQSpacerItem( 411, 20, TQSizePolicy::Expanding, TQSizePolicy::Minimum );
    SQ_FiltersLayout->addItem( spacer5, 3, 0 );

    line2 = new TQFrame( this, "line2" );
    line2->setFrameShape( TQFrame::HLine );
    line2->setFrameShadow( TQFrame::Sunken );
    line2->setFrameShape( TQFrame::HLine );

    SQ_FiltersLayout->addMultiCellWidget( line2, 2, 2, 0, 3 );

    layout7 = new TQVBoxLayout( 0, 0, 6, "layout7"); 

    groupBox2 = new TQGroupBox( this, "groupBox2" );
    groupBox2->setColumnLayout(0, TQt::Vertical );
    groupBox2->layout()->setSpacing( 6 );
    groupBox2->layout()->setMargin( 5 );
    groupBox2Layout = new TQGridLayout( groupBox2->layout() );
    groupBox2Layout->setAlignment( TQt::AlignTop );

    pushNew = new TQPushButton( groupBox2, "pushNew" );
    pushNew->setFlat( TRUE );

    groupBox2Layout->addWidget( pushNew, 0, 0 );

    pushDelete = new TQPushButton( groupBox2, "pushDelete" );
    pushDelete->setAutoRepeat( TRUE );
    pushDelete->setFlat( TRUE );

    groupBox2Layout->addWidget( pushDelete, 1, 0 );

    pushClearAll = new TQPushButton( groupBox2, "pushClearAll" );
    pushClearAll->setFlat( TRUE );

    groupBox2Layout->addWidget( pushClearAll, 2, 0 );
    layout7->addWidget( groupBox2 );

    groupBox1 = new TQGroupBox( this, "groupBox1" );
    groupBox1->setColumnLayout(0, TQt::Vertical );
    groupBox1->layout()->setSpacing( 6 );
    groupBox1->layout()->setMargin( 5 );
    groupBox1Layout = new TQGridLayout( groupBox1->layout() );
    groupBox1Layout->setAlignment( TQt::AlignTop );

    pushFilterUp = new TQPushButton( groupBox1, "pushFilterUp" );
    pushFilterUp->setEnabled( TRUE );
    pushFilterUp->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)0, (TQSizePolicy::SizeType)0, 0, 0, pushFilterUp->sizePolicy().hasHeightForWidth() ) );
    pushFilterUp->setMinimumSize( TQSize( 22, 22 ) );
    pushFilterUp->setAutoRepeat( TRUE );
    pushFilterUp->setFlat( TRUE );

    groupBox1Layout->addWidget( pushFilterUp, 0, 0 );

    pushFilterDown = new TQPushButton( groupBox1, "pushFilterDown" );
    pushFilterDown->setEnabled( TRUE );
    pushFilterDown->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)0, (TQSizePolicy::SizeType)0, 0, 0, pushFilterDown->sizePolicy().hasHeightForWidth() ) );
    pushFilterDown->setMinimumSize( TQSize( 22, 22 ) );
    pushFilterDown->setAutoRepeat( TRUE );
    pushFilterDown->setFlat( TRUE );

    groupBox1Layout->addWidget( pushFilterDown, 1, 0 );
    layout7->addWidget( groupBox1 );

    SQ_FiltersLayout->addLayout( layout7, 0, 3 );
    spacer12 = new TQSpacerItem( 20, 145, TQSizePolicy::Minimum, TQSizePolicy::Expanding );
    SQ_FiltersLayout->addItem( spacer12, 1, 3 );

    layout7_2 = new TQGridLayout( 0, 1, 1, 0, 6, "layout7_2"); 

    listFilters = new TQListView( this, "listFilters" );
    listFilters->addColumn( tr2i18n( "Name" ) );
    listFilters->addColumn( tr2i18n( "Extensions" ) );
    listFilters->setAcceptDrops( TRUE );
    listFilters->setResizePolicy( TQScrollView::Manual );
    listFilters->setSelectionMode( TQListView::Single );
    listFilters->setAllColumnsShowFocus( TRUE );
    listFilters->setShowSortIndicator( FALSE );
    listFilters->setItemMargin( 1 );
    listFilters->setResizeMode( TQListView::AllColumns );
    listFilters->setDefaultRenameAction( TQListView::Reject );

    layout7_2->addMultiCellWidget( listFilters, 0, 0, 0, 2 );

    checkBoth = new TQCheckBox( this, "checkBoth" );

    layout7_2->addMultiCellWidget( checkBoth, 2, 2, 0, 2 );

    SQ_FiltersLayout->addMultiCellLayout( layout7_2, 0, 1, 0, 2 );
    languageChange();
    resize( TQSize(562, 417).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( pushFilterUp, TQ_SIGNAL( clicked() ), this, TQ_SLOT( slotFilterUp() ) );
    connect( pushFilterDown, TQ_SIGNAL( clicked() ), this, TQ_SLOT( slotFilterDown() ) );
    connect( listFilters, TQ_SIGNAL( rightButtonClicked(TQListViewItem*,const TQPoint&,int) ), this, TQ_SLOT( slotFilterRenameRequest(TQListViewItem*,const TQPoint&,int) ) );
    connect( pushOK, TQ_SIGNAL( clicked() ), this, TQ_SLOT( accept() ) );
    connect( pushCancel, TQ_SIGNAL( clicked() ), this, TQ_SLOT( reject() ) );
    connect( pushNew, TQ_SIGNAL( clicked() ), this, TQ_SLOT( slotNewFilter() ) );
    connect( pushClearAll, TQ_SIGNAL( clicked() ), listFilters, TQ_SLOT( clear() ) );
    connect( pushDelete, TQ_SIGNAL( clicked() ), this, TQ_SLOT( slotFilterClear() ) );

    // tab order
    setTabOrder( listFilters, checkBoth );
    setTabOrder( checkBoth, pushNew );
    setTabOrder( pushNew, pushDelete );
    setTabOrder( pushDelete, pushClearAll );
    setTabOrder( pushClearAll, pushFilterUp );
    setTabOrder( pushFilterUp, pushFilterDown );
    setTabOrder( pushFilterDown, pushOK );
    setTabOrder( pushOK, pushCancel );
    init();
}

/*
 *  Destroys the object and frees any allocated resources
 */
SQ_Filters::~SQ_Filters()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void SQ_Filters::languageChange()
{
    setCaption( tr2i18n( "Adjust filters" ) );
    pushOK->setText( tr2i18n( "OK" ) );
    pushCancel->setText( tr2i18n( "Cancel" ) );
    groupBox2->setTitle( TQString::null );
    pushNew->setText( TQString::null );
    TQToolTip::add( pushNew, tr2i18n( "New filter" ) );
    pushDelete->setText( TQString::null );
    TQToolTip::add( pushDelete, tr2i18n( "Delete" ) );
    pushClearAll->setText( TQString::null );
    TQToolTip::add( pushClearAll, tr2i18n( "Clear All" ) );
    groupBox1->setTitle( TQString::null );
    pushFilterUp->setText( TQString::null );
    TQToolTip::add( pushFilterUp, tr2i18n( "Move filter up" ) );
    pushFilterDown->setText( TQString::null );
    TQToolTip::add( pushFilterDown, tr2i18n( "Move filter down" ) );
    listFilters->header()->setLabel( 0, tr2i18n( "Name" ) );
    listFilters->header()->setLabel( 1, tr2i18n( "Extensions" ) );
    checkBoth->setText( tr2i18n( "Menu item contains both name and extension" ) );
}

#include "sq_filters.moc"
